import React from 'react';
import { BaseProgressProps } from './types';
/**
 * A minimal progress indicator.
 *
 * References:
 * - [MDN - `<progress>` element](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/progress)
 * - [ARIA 1.2 - progressbar (role)](https://www.w3.org/TR/wai-aria-1.2/#progressbar)
 * - [ARIA Authoring Practices - Range properties with progress bars](https://w3c.github.io/aria-practices/#range_related_properties_progressbar_role)
 */
export declare const BaseProgress: React.ForwardRefExoticComponent<BaseProgressProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=BaseProgress.d.ts.map