import React from 'react';
import { ListboxProps } from './types';
/**
 * A listbox allows the user to select one or more option from a list of options.
 *
 * Reference:
 * - [HTML - `<datalist>`](https://html.spec.whatwg.org/multipage/form-elements.html#the-datalist-element)
 * - [ARIA - `listbox`](https://w3c.github.io/aria/#listbox)
 * - [ARIA Practices - Listbox](https://w3c.github.io/aria-practices/#Listbox)
 */
export declare const Listbox: React.ForwardRefExoticComponent<ListboxProps & React.RefAttributes<HTMLUListElement>>;
//# sourceMappingURL=Listbox.d.ts.map