import React from 'react';
import { ModalAnatomy, ModalProps, ModalSnapshot, ModalState } from './types';
/**
 * Modal dialog.
 */
export declare class Modal extends React.PureComponent<ModalProps, ModalState> {
    static bemBase: string;
    static bemElements: Record<ModalAnatomy, string>;
    private baseName;
    private id;
    private titleId;
    private portalNode;
    private dialog;
    private header;
    private content;
    private footer;
    /** A watcher to detect when the header/footer move off screen. */
    private stickyObserver;
    private bodyStyle;
    static defaultProps: {
        isOpen: boolean;
        mountPoint: () => HTMLElement;
        hideTitle: boolean;
        closeOnBackdropClick: boolean;
        closeOnEscape: boolean;
    };
    constructor(props: ModalProps);
    componentDidMount(): void;
    getSnapshotBeforeUpdate({ mountPoint: prevMount, }: ModalProps): ModalSnapshot;
    componentDidUpdate(prevProps: ModalProps, prevState: ModalState, { prevMount, nextMount }: ModalSnapshot): void;
    componentWillUnmount(): void;
    private onOpen;
    private onClose;
    private get CloseButton();
    private get Title();
    private get Header();
    private get ActionBar();
    private get Dialog();
    private open;
    close: () => void;
    requestClose: () => void;
    private updateLength;
    private onPointerDownClick;
    private onPointerUpClick;
    private onBackdropClick;
    private onDocumentKeydown;
    private createPortalNode;
    render(): React.ReactNode;
}
//# sourceMappingURL=Modal.d.ts.map