import React, { ReactNode } from 'react';
import { SortableValue, SortDirection } from '../types';
export interface SortingHeaderData {
    colId: string;
    sorter?: (a: SortableValue, b: SortableValue) => number;
}
export interface SortingCellData {
    value: SortableValue;
}
export interface SortingRowData {
    id: string;
    /**
     * This number is used to determine the "natural" order of the rows
     * before any sorting is applied.
     */
    order: number;
    cells: SortingCellData[];
}
export interface SortingTableData {
    colId: string;
    direction: SortDirection;
    headers: SortingHeaderData[];
    rows: SortingRowData[];
}
export interface SortingState {
    data: SortingTableData;
    registerHeader: (header: SortingHeaderData) => void;
    registerCell: (cell: SortingCellData) => void;
    registerRow: (id: string) => void;
    getDirection(colId: string): number;
    onSort: (colId: string) => void;
    setSort: (colId: number, direction: SortDirection) => void;
}
export declare const SortingContext: React.Context<SortingState | null>;
export declare const SortingProvider: ({ children }: {
    children?: ReactNode;
}) => React.JSX.Element;
export declare function useSortingState(): SortingState | null;
//# sourceMappingURL=SortingContext.d.ts.map