/**
 * Implements Tab keyboard navigation as specified
 * in [WAI-ARIA Tab pattern](https://www.w3.org/WAI/ARIA/apg/patterns/tabs/#keyboardinteraction)
 */
export declare class TabKeyboardNavigation {
    static ENABLED_TAB_MATCHER: string;
    private tabsCache;
    private tabList;
    constructor(tabList: HTMLElement);
    attachListener(): void;
    detachListener(): void;
    /**
     * Focuses the first enabled tab in the list.
     */
    focusFirstTab(): void;
    /**
     * Focuses the last enabled tab in the list.
     */
    focusLastTab(): void;
    /**
     * Focuses on the next enabled tab in the list.
     */
    focusNextTab(): void;
    /**
     * Focuses on the previous enabled tab in the list.
     */
    focusPreviousTab(): void;
    private handleKeyDown;
    private getNextIdx;
    private getPrevIdx;
    private getActiveElement;
    private getEnabledTabs;
}
//# sourceMappingURL=TabKeyboardNavigation.d.ts.map