import React from 'react';
import { ControlledTabsProps, TabsState, UncontrolledTabsProps } from './types';
export declare const TabsContext: React.Context<TabsState | null>;
export declare function useInitUncontrolledTabsState({ defaultSelectedIndex, ...rest }: UncontrolledTabsProps): TabsState;
export declare function useInitControlledTabsState({ onChange, selectedIndex, ...rest }: ControlledTabsProps): TabsState;
export declare function useTabsState(): TabsState;
export declare function useTabId(index: number): string;
export declare function useTabPanelId(index: number): string;
export declare const TabListDescendantsProvider: React.Provider<import("../../utilities/descendant").DescendantsManager<HTMLElement, {}>>, useTabListDescendantsContext: () => import("../../utilities/descendant").DescendantsManager<HTMLElement, {}>, useTabListDescendants: () => import("../../utilities/descendant").DescendantsManager<HTMLElement, {}>, useTabListDescendant: (options?: {
    disabled?: boolean;
    id?: string;
} | undefined) => {
    descendants: import("../../utilities/descendant").DescendantsManager<HTMLElement, Record<string, any>>;
    index: number;
    enabledIndex: number;
    register: (node: HTMLElement | null) => void;
};
export declare const TabPanelsDescendantsProvider: React.Provider<import("../../utilities/descendant").DescendantsManager<HTMLElement, {}>>, useTabPanelsDescendantsContext: () => import("../../utilities/descendant").DescendantsManager<HTMLElement, {}>, useTabPanelsDescendants: () => import("../../utilities/descendant").DescendantsManager<HTMLElement, {}>, useTabPanelsDescendant: (options?: {
    disabled?: boolean;
    id?: string;
} | undefined) => {
    descendants: import("../../utilities/descendant").DescendantsManager<HTMLElement, Record<string, any>>;
    index: number;
    enabledIndex: number;
    register: (node: HTMLElement | null) => void;
};
//# sourceMappingURL=context.d.ts.map