import React from 'react';
import { TextFieldProps } from './types';
export declare const TextField: React.ForwardRefExoticComponent<import("./types").BaseTextFieldProps & import("../BaseTextArea").BaseTextAreaProps & import("../BaseInput").BaseInputProps & React.RefAttributes<HTMLInputElement & HTMLTextAreaElement>>;
/**
 * An uncontrolled variant of the `TextField` component. The `value` prop doesn't
 * exist on this version, as it is managed internally. Use when the value does not
 * need to be controlled via React state, such as prototyping or when
 * values are submitted with native APIs like
 * [HTMLFormElement.submit()](https://developer.mozilla.org/en-US/docs/Web/API/HTMLFormElement/submit).
 */
export declare const TextFieldUncontrolled: (props: Omit<TextFieldProps, "value">) => JSX.Element;
//# sourceMappingURL=TextField.d.ts.map