import { DescendantOptions, DescendantsManager } from './descendant';
/**
 * @internal
 * React hook that initializes the DescendantsManager
 */
declare function useDescendants<T extends HTMLElement = HTMLElement, K extends Record<string, any> = {}>(): DescendantsManager<T, K>;
export type UseDescendantsReturn = ReturnType<typeof useDescendants>;
export declare function createDescendantContext<T extends HTMLElement = HTMLElement, K extends Record<string, any> = {}>(): readonly [import("react").Provider<DescendantsManager<T, K>>, () => DescendantsManager<T, K>, () => DescendantsManager<T, K>, (options?: DescendantOptions<K>) => {
    descendants: DescendantsManager<HTMLElement, Record<string, any>>;
    index: number;
    enabledIndex: number;
    register: (node: T | null) => void;
}];
export {};
//# sourceMappingURL=use-descendant.d.ts.map