import { useLayoutEffect } from 'react';
/**
 * Sort an array of DOM nodes according to the HTML tree order
 * @see http://www.w3.org/TR/html5/infrastructure.html#tree-order
 */
export declare function sortNodes(nodes: Node[]): Node[];
export declare const isElement: (el: any) => el is HTMLElement;
export declare function getNextIndex(current: number, max: number, loop: boolean): number;
export declare function getPrevIndex(current: number, max: number, loop: boolean): number;
export declare const useSafeLayoutEffect: typeof useLayoutEffect;
export declare const cast: <T>(value: any) => T;
export interface CreateContextOptions<T> {
    strict?: boolean;
    hookName?: string;
    providerName?: string;
    errorMessage?: string;
    name?: string;
    defaultValue?: T;
}
export type CreateContextReturn<T> = [React.Provider<T>, () => T, React.Context<T>];
export declare function createContext<T>(options?: CreateContextOptions<T>): CreateContextReturn<T>;
export type ReactRef<T> = React.RefCallback<T> | React.MutableRefObject<T>;
export declare function assignRef<T = any>(ref: ReactRef<T> | null | undefined, value: T): void;
export declare function mergeRefs<T>(...refs: (ReactRef<T> | null | undefined)[]): (node: T | null) => void;
export declare function useMergeRefs<T>(...refs: (ReactRef<T> | null | undefined)[]): (node: T | null) => void;
//# sourceMappingURL=utils.d.ts.map