import { RovingTabindex, RovingTabindexOptions } from './types';
/**
 * Create a roving tabindex state, a dispatch function to update it, and props
 * for the related container and children.
 *
 * Reference:
 * - [APG - Keyboard Navigation Inside Components](https://www.w3.org/TR/wai-aria-practices-1.2/#kbd_general_within).
 * - [MDN - Keyboard-navigable JavaScript widgets](https://developer.mozilla.org/en-US/docs/Web/Accessibility/Keyboard-navigable_JavaScript_widgets).
 */
export declare const useRovingTabindex: <Container extends HTMLElement | null, Child extends HTMLElement>({ autofocus, container, disabledItems, initialIndex, nextKeys, prevKeys, resetOnExit, size, wrap, }: RovingTabindexOptions<Container, Child>) => RovingTabindex<Container, Child>;
//# sourceMappingURL=hook.d.ts.map