import { StateMessageFunction, ValidationAttributes, ValidatorEntry, ValidityStateInvalidKeys } from './types';
/**
 * A custom regex test for email.
 * Source: [Stack Overflow](https://stackoverflow.com/a/201378).
 */
export declare const emailRegex: RegExp;
export declare const validityStateTest: (state: ValidityStateInvalidKeys) => ValidatorEntry["test"];
/** Message functions that correspond to each invalid key on ValidityState. */
export declare const defaultMessages: Record<Exclude<ValidityStateInvalidKeys, 'customError'>, StateMessageFunction>;
export declare const defaultValidators: ({ max, maxLength, min, minLength, required, type, }: ValidationAttributes) => ValidatorEntry[];
/**
 * Create a validator function from a list of validator entries. The resulting
 * function will return a list of errors based on the current state of the DOM
 * element that is being validated.
 */
export declare const createValidator: (validators?: ValidatorEntry[], useDefaultValidators?: boolean) => (el: ValidationAttributes & {
    value: string;
    validity: ValidityState;
}) => string[];
//# sourceMappingURL=constants.d.ts.map