/***
 * @wwnds/react v1.9.1
 * Copyright 2019-2024 W. W. Norton & Company
 * Licensed under the MIT license found in the LICENSE file in the root
 * directory at undefined.
 **/
import e,{useMemo as t,useEffect as n,useState as r,useLayoutEffect as a,createContext as i,useContext as o,useRef as s,useCallback as l,forwardRef as c}from"react";import d from"classnames";import u from"react-is";import m from"react-fast-compare";import{createPopper as f}from"@popperjs/core";import{usePopper as v}from"react-popper";import{CSSTransition as h}from"react-transition-group";import p,{createPortal as b}from"react-dom";import g from"lodash/uniqueId";import{MDCLinearProgress as E}from"@material/linear-progress";function y(){return y=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},y.apply(null,arguments)}function C(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.includes(r))continue;n[r]=e[r]}return n}function w(e,t){return w=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},w(e,t)}function N(e){var t=function(e){if("object"!=typeof e||!e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==typeof t?t:t+""}var x=["baseName","children","color","className","dot","aria-label"],_=e.forwardRef(function(t,n){var r,a=t.baseName,i=void 0===a?"nds-badge":a,o=t.children,s=t.color,l=t.className,c=t.dot,u=void 0!==c&&c,m=t["aria-label"],f=C(t,x),v=d(l,i,((r={})[i+"--"+s]=void 0!==s,r[i+"--dot"]=!0===u,r));return o||u?/*#__PURE__*/e.createElement("span",y({className:v},f,{ref:n,"aria-label":u&&!m?"has notification":m}),u?null:o):null}),k=function(t,n){void 0===n&&(n=[]);var r=[],a=[];a=e.isValidElement(t)?e.Children.toArray(t):Array.isArray(t)?t:[t];var i=function(e){return n.every(function(t){return t in e})},o=function(e){return n.filter(function(t){return!(t in e)})};return a.forEach(function(t){if(void 0===t)return 0;if("string"==typeof t||"number"==typeof t){if(n.length)throw new Error(k.MISSING_PROPS(n));return r.push(e.createElement("span",{},t))}if("object"==typeof t){if(null===t)return 0;if(u.isElement(t)){if(t.type===e.Fragment)return r.push.apply(r,k(t.props.children,n));if(i(t.props))return r.push(t);throw new Error(k.MISSING_PROPS(o(t.props)))}if(Array.isArray(t))return t.forEach(function(e){return r.push.apply(r,k(e,n))});if(i(t))return r.push(e.createElement("span",t));throw new Error(k.MISSING_PROPS(o(t)))}throw new Error("Child nodes can be strings, numbers, or React Elements.")}),r};k.INVALID_NODES="Child nodes can be strings, numbers, or React Elements.",k.MISSING_PROPS=function(e){return"Missing required props: "+e.join(", ")+"."};var O=!("undefined"==typeof window||void 0===window.document||void 0===window.document.createElement),S=function(e,r){var a=t(function(){return Array.isArray(e)?e:[e]},[e]);n(function(){var e=function(e){var t=e.composedPath();a.some(function(e){return e&&t.includes(e)})||r&&r()};return a.length&&document.addEventListener("click",e),function(){document.removeEventListener("click",e)}},[a,r])};function I(e){var t=r(null),a=t[0],i=t[1];return n(function(){e&&("function"==typeof e?e(a):e.current=a)},[e,a]),[a,i]}var L=O?a:n,M=L,D=0,P=function(){return D+=1},T=!1;function z(){var t=e.useState(T?P:void 0),n=t[0],r=t[1];return M(function(){void 0===n&&r(D+=1),T=!0},[]),void 0===n?n:"nds-"+n.toString(32)}function R(){return e.useMemo(function(){return"useId"in e?e.useId:z},[])()}var A=i(void 0),B=function(e){return!(!u.isElement(e)||"a"!==e.type&&"string"!=typeof e.props.href)||!(!u.isFragment(e)||!e.props)&&B(e.props.children)},H=function(){return o(A)},F=function(e){var n=t(function(){return O&&"matchMedia"in window?window.matchMedia(e):{matches:!1}},[e]),a=r(n.matches),i=a[0],o=a[1];return M(function(){var e=function(e){o(e.matches)};return"addEventListener"in n&&n.addEventListener("change",e),function(){"removeEventListener"in n&&n.removeEventListener("change",e)}},[n]),i},V=function(e){var t=e.reference,a=e.popper,i=e.children,o=e.placement,l=void 0===o?"auto":o,c=e.modifiers,d=e.strategy,u=void 0===d?"absolute":d,v=e.onFirstUpdate,h=r(null),p=h[0],b=h[1],g=s({placement:l,modifiers:c||[],strategy:u,onFirstUpdate:v});return M(function(){var e;return t&&a&&(e=f(t,a,g.current),setTimeout(function(){b(e)},10)),function(){e&&(e.destroy(),b(null))}},[t,a]),n(function(){var e={placement:l,modifiers:c||[],strategy:u,onFirstUpdate:v};m(e,g.current)||(g.current=e),p&&p.setOptions(g.current)},[l,c,u,v,p]),n(function(){p&&p.update()},[p,i]),p},q=function(e){var n=e.reference,r=e.popper,a=e.trigger,i=e.isOpen,o=e.hideDelay,c=e.showDelay,d=e.onRequestOpen,u=e.onRequestClose,m=s(),f=s(!1),v=s(!1),h=s(),p=s(),b=function(){return window.clearTimeout(p.current)},g=l(function(e){m.current=e,d&&d(e),b()},[d]),E=l(function(e){u&&u(e),window.clearTimeout(h.current)},[u]),y=t(function(){if(O)return[r,n].reduce(function(e,t){return t instanceof EventTarget&&e.push(t),e},[])},[r,n]);S(y,function(){if(r&&a.includes("click"))return E("click.external")}),M(function(){var e=function(){i?E("click.reference"):g("click.reference")},t=function(e){"Escape"===e.key&&E("escape")},s=function(t){"Enter"===t.key&&(f.current=!0,e())," "===t.key&&(v.current=!0,t.preventDefault())},l=function(t){" "===t.key&&v.current&&(f.current=!0,v.current=!1,e())},d=function(){f.current?f.current=!1:e()},u=function(){return g("focus")},y=function(){return g("focusin")},C=function(){v.current=!1,E("blur")},w=function(e){var t=e.target,n=[],r=function(e){n=e.composedPath()};document.addEventListener("pointermove",r),h.current=window.setTimeout(function(){document.removeEventListener("pointermove",r),t&&n.includes(t)&&g("pointerenter")},c)},N=function(){p.current=window.setTimeout(function(){"pointerenter"===m.current&&E("pointerleave")},o)},x=function(e){return!!e&&(e instanceof window.HTMLElement||e instanceof window.SVGElement)};return document.addEventListener("keydown",t),a.includes("click")&&x(n)&&(n.addEventListener("click",d),n.addEventListener("keydown",s),n.addEventListener("keyup",l)),x(n)&&(a.includes("focus")&&n.addEventListener("focus",u),a.includes("focusin")&&n.addEventListener("focusin",y),(a.includes("focus")||a.includes("focusin"))&&n.addEventListener("blur",C),(a.includes("mouseenter")||a.includes("pointerenter"))&&(n.addEventListener("pointerenter",w),n.addEventListener("pointerleave",N),r&&r.addEventListener("pointerleave",N))),r&&r.addEventListener("pointerenter",b),function(){b(),document.removeEventListener("keydown",t),x(n)&&(n.removeEventListener("click",d),n.removeEventListener("keydown",s),n.removeEventListener("keyup",l),n.removeEventListener("focus",u),n.removeEventListener("focusin",y),n.removeEventListener("blur",C),n.removeEventListener("pointerenter",w),n.removeEventListener("pointerleave",N)),r&&(r.removeEventListener("pointerenter",b),r.removeEventListener("pointerleave",N))}},[E,o,i,r,n,g,c,a])},U=function(t){var r=t.autofocus,a=t.container,i=t.disabledItems,o=t.initialIndex,s=void 0===o?0:o,c=t.nextKeys,d=void 0===c?["ArrowDown","ArrowRight"]:c,u=t.prevKeys,m=void 0===u?["ArrowUp","ArrowLeft"]:u,f=t.resetOnExit,v=t.size,h=t.wrap,p=function(t,n){var r=void 0===n?{}:n,a=r.initialIndex,i=void 0===a?0:a,o=r.wrap,s=void 0!==o&&o,l=e.useCallback(function(e,n){var r=e.current;switch(n.type){case"INCREMENT":var a=r+1;return s?a>=t&&(a=0):a=Math.min(a,t-1),y({},e,{current:a,direction:1});case"DECREMENT":var i=r-1;return s?i<0&&(i=t-1):i=Math.max(i,0),y({},e,{current:i,direction:-1});case"GOTO":var o=Math.max(Math.min(n.payload,t-1),0);return y({},e,{current:o,direction:Math.sign(o-r)});default:return e}},[t,s]);return e.useReducer(l,{current:i,direction:0})}(v,{initialIndex:s,wrap:h}),b=p[0],g=p[1];n(function(){var e=b.current,t=b.direction;if(i&&i.has(e))switch(t){case-1:g(h||0!==e?{type:"DECREMENT"}:{type:"INCREMENT"});break;case 1:g(h||e!==v-1?{type:"INCREMENT"}:{type:"DECREMENT"});break;default:i.size<v&&g({type:"INCREMENT"})}},[i,g,v,b,h]);var E=l(function(e){v&&([].concat(d,m,["Home","End"]).includes(e.key)&&e.preventDefault(),d.includes(e.key)&&g({type:"INCREMENT"}),m.includes(e.key)&&g({type:"DECREMENT"}),"End"===e.key&&g({type:"GOTO",payload:v-1}),"Home"===e.key&&g({type:"GOTO",payload:0}))},[g,d,m,v]),C=l(function(e){var t=e.relatedTarget;if(a){if(t instanceof Node&&a.contains(t))return;f&&g({type:"GOTO",payload:s})}},[a,g,s,f]),w=l(function(e){return function(t){if(t&&a){var n=a.contains(document.activeElement),i=document.activeElement===t;b.current===e&&(n||r)&&!i&&t.focus()}}},[r,a,b]);return{state:b,dispatch:g,containerProps:{onKeyDown:E,onBlur:C},childProps:{createRef:w,tabIndex:function(e){return b.current===e?0:-1}}}},K=function(e,t){void 0===e&&(e=!1),void 0===t&&(t=[]);var a=r(t),i=a[0],o=a[1];n(function(){if(!e&&i.length>1)throw new Error(K.SELECT_OVERLOAD)},[e,i]);var s=function(t){o(e?[].concat(i,[t]):[t])},l=function(e){o(i.filter(function(t){return t!==e}))};return{selected:i,deselect:l,select:s,toggle:function(t){i.includes(t)?e&&l(t):s(t)},formChangeHandler:function(e){var t=e.currentTarget,n="value"in t&&"checked"in t?t:e.target,r=n.checked,a=n.value;if(void 0===r)throw new Error('formChangeHandler is being attached to an invalid element. Attach it to an <input type="checkbox|radio"> or a <fieldset>.');r?s(a):l(a)}}};K.SELECT_OVERLOAD="The number of selected values cannot exceed 1 when not multi-selectable.";var j=i(void 0),W=function(){var e=o(j);if(!e)throw new Error("No theme provided. To provide a theme, wrap your application in a <ThemeProvider>");return e},G=/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/,Y=function(e){return function(t,n){return!n||!n[e]}},Z={badInput:function(e){return Z.typeMismatch({type:e.type})},patternMismatch:function(){return""},rangeOverflow:function(e){return"Please select a value that is no more than "+e.max+"."},rangeUnderflow:function(e){return"Please select a value that is no less than "+e.min+"."},stepMismatch:function(){return""},tooLong:function(e){return"Please use "+e.maxLength+" characters or fewer."},tooShort:function(e){var t=e.minLength;return"password"===e.type?"Passwords must be at least "+t+" characters long.":"Please use at least "+t+" characters."},typeMismatch:function(e){switch(e.type){case"email":return"Please enter an email address.";case"tel":return"Please enter a phone number.";case"url":return"Please enter a URL.";case"number":return"Please enter a number.";default:return""}},valueMissing:function(){return"This field is required."}},$=function(e,n){return void 0===n&&(n=!0),r=t(function(){if(e)return Array.isArray(e)?e:[e]},[e]),void 0===(a=n)&&(a=!0),function(e){if(!(r&&r.length||a))return[];var t=e.validity,n=e.value.toString(),i=new Set;return[].concat(a?function(e){var t=e.max,n=e.maxLength,r=e.min,a=e.minLength,i=e.type,o=[];switch(e.required&&o.push({name:"valueMissing",test:Y("valueMissing"),message:Z.valueMissing({})}),n&&n>=0&&(o.push({name:"tooLong",test:Y("tooLong"),message:Z.tooLong({maxLength:n})}),o.push({name:"tooLong",test:function(e){return e.length<=n},message:Z.tooLong({maxLength:n})})),a&&a>=0&&o.push({name:"tooShort",test:Y("tooShort"),message:function(){return Z.tooShort({minLength:a,type:i})}}),void 0!==i&&(o.push({name:"typeMismatch",test:"email"===i?function(e){return G.test(e)}:Y("typeMismatch"),message:"Please enter an email address."}),o.push({test:Y("badInput"),message:Z.typeMismatch({type:i})})),i){case"number":case"range":t&&o.push({name:"rangeOverflow",test:Y("rangeOverflow"),message:Z.rangeOverflow({max:t})}),r&&o.push({name:"rangeUnderflow",test:Y("rangeUnderflow"),message:Z.rangeUnderflow({min:r})})}return o}(e):[],r||[]).forEach(function(e){var r=e.message,a=e.test,o="function"==typeof r?r(n):r;a(n,t)||""===r||i.add(o)}),Array.from(i)};var r,a},Q=["active","activeClass","onKeyDown","onKeyUp","onBlur","className","children","type"],J={active:!1,activeClass:"active",type:"button"},X=e.forwardRef(function(t,n){var r,a=t.active,i=void 0===a?J.active:a,o=t.activeClass,s=void 0===o?J.activeClass:o,l=t.onKeyDown,c=t.onKeyUp,u=t.onBlur,m=t.className,f=t.children,v=t.type,h=void 0===v?J.type:v,p=C(t,Q),b=e.useState(i),g=b[0],E=b[1];return e.useEffect(function(){E(i)},[i]),/*#__PURE__*/e.createElement("button",y({ref:n,className:d(s&&(r={},r[s]=g,r),m),onKeyDown:function(e){" "===e.key&&E(!0),l&&l(e)},onKeyUp:function(e){" "===e.key&&E(!1),c&&c(e)},onBlur:function(e){E(!1),u&&u(e)},type:h},p),f)});X.defaultProps=J;var ee="0 0 24 24",te={account:{fullName:"Account",d:"M19.3 16.509a35.6 35.6 0 00-4.87-2.691v-2.763a2.013 2.013 0 00.7-1.6V7.273A2.99 2.99 0 0012 4a2.99 2.99 0 00-3.13 3.273v2.182a1.817 1.817 0 00.7 1.6v2.763c-1.391.655-4.452 2.473-4.87 2.691a1.33 1.33 0 00-.7 1.382v1.745a.336.336 0 00.348.364h15.3a.336.336 0 00.352-.364v-1.745a1.33 1.33 0 00-.7-1.382z",viewBox:ee},"arrow-up":{fullName:"Arrow up",originalName:"arrow_upward",d:"M4 12l1.41 1.41L11 7.83V20h2V7.83l5.58 5.59L20 12l-8-8-8 8z",source:"https://material.io/resources/icons/?icon=arrow_upward&style=baseline",viewBox:ee},"arrow-right":{fullName:"Arrow right",originalName:"arrow_forward",d:"M12 4l-1.41 1.41L16.17 11H4v2h12.17l-5.58 5.59L12 20l8-8z",source:"https://material.io/resources/icons/?icon=arrow_forward&style=baseline",viewBox:ee},"arrow-down":{fullName:"Arrow down",originalName:"arrow_downward",d:"M20 12l-1.41-1.41L13 16.17V4h-2v12.17l-5.58-5.59L4 12l8 8 8-8z",source:"https://material.io/resources/icons/?icon=arrow_downward&style=baseline",viewBox:ee},"arrow-left":{fullName:"Arrow left",originalName:"arrow_back",d:"M20 11H7.83l5.59-5.59L12 4l-8 8 8 8 1.41-1.41L7.83 13H20v-2z",source:"https://material.io/resources/icons/?icon=arrow_back&style=baseline",viewBox:ee},calendar:{fullName:"Calendar",originalName:"event",d:"M17 12h-5v5h5v-5zM16 1v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2h-1V1h-2zm3 18H5V8h14v11z",source:"https://material.io/resources/icons/?icon=event&style=baseline",viewBox:ee},cancel:{fullName:"Cancel",d:"M12 2C6.47 2 2 6.47 2 12s4.47 10 10 10 10-4.47 10-10S17.53 2 12 2zm5 13.59L15.59 17 12 13.41 8.41 17 7 15.59 10.59 12 7 8.41 8.41 7 12 10.59 15.59 7 17 8.41 13.41 12 17 15.59z",originalName:"cancel",source:"https://material.io/resources/icons/?icon=cancel&style=baseline",viewBox:ee},"caret-up":{fullName:"Caret up",d:"M12 8.015l3.492 3.992 3.486 3.983H5.022l3.485-3.983L12 8.015z",viewBox:ee},"caret-right":{fullName:"Caret right",d:"M15.985 12l-3.992 3.492-3.983 3.486V5.022l3.983 3.485L15.985 12z",viewBox:ee},"caret-down":{fullName:"Caret down",d:"M12 15.985l-3.492-3.992L5.022 8.01h13.956l-3.485 3.983L12 15.985z",viewBox:ee},"caret-left":{fullName:"Caret left",d:"M8.015 12l3.992-3.492 3.983-3.486v13.956l-3.983-3.485L8.015 12z",viewBox:ee},check:{fullName:"Check",d:"M7.242 16.887l-4.24-4.245 2.12-2.121 4.243 4.245 9.513-9.516 2.124 2.121L9.363 19.007z",viewBox:ee},"check-circle":{fullName:"Check circle",originalName:"check_circle",d:"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z",source:"https://material.io/resources/icons/?icon=check_circle&style=baseline",viewBox:ee},"chevron-up":{fullName:"Chevron up",originalName:"expand_less",d:"M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z",source:"https://material.io/resources/icons/?icon=expand_less&style=baseline",viewBox:ee},"chevron-right":{fullName:"Chevron right",originalName:"chevron_right",d:"M10 6L8.59 7.41 13.17 12l-4.58 4.59L10 18l6-6z",source:"https://material.io/resources/icons/?icon=chevron_right&style=baseline",viewBox:ee},"chevron-down":{fullName:"Chevron down",originalName:"expand_more",d:"M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6z",source:"https://material.io/resources/icons/?icon=expand_more&style=baseline",viewBox:ee},"chevron-left":{fullName:"Chevron left",originalName:"chevron_left",d:"M15.41 7.41L14 6l-6 6 6 6 1.41-1.41L10.83 12z",source:"https://material.io/resources/icons/?icon=chevron_left&style=baseline",viewBox:ee},close:{fullName:"Close",d:"M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z",source:"https://material.io/resources/icons/?icon=close&style=baseline",viewBox:ee},delete:{fullName:"Delete",d:"M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zM19 4h-3.5l-1-1h-5l-1 1H5v2h14V4z",source:"https://material.io/resources/icons/?icon=delete&style=baseline",viewBox:ee},download:{fullName:"Download",originalName:"get_app",d:"M19 9h-4V3H9v6H5l7 7 7-7zM5 18v2h14v-2H5z",source:"https://material.io/resources/icons/?icon=get_app&style=baseline",viewBox:ee},edit:{fullName:"Edit",originalName:"edit",d:"M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z",source:"https://material.io/resources/icons/?icon=edit&style=baseline",viewBox:ee},exclamation:{fullName:"Exclamation",d:"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z",originalName:"error",source:"https://material.io/resources/icons/?icon=error&style=baseline",viewBox:ee},flag:{fullName:"Flag",d:"M14.4 6L14 4H5v17h2v-7h5.6l.4 2h7V6z",source:"https://material.io/resources/icons/?icon=flag&style=baseline",viewBox:ee},heart:{fullName:"Heart",originalName:"favorite",d:"M12 21.35l-1.45-1.32C5.4 15.36 2 12.28 2 8.5 2 5.42 4.42 3 7.5 3c1.74 0 3.41.81 4.5 2.09C13.09 3.81 14.76 3 16.5 3 19.58 3 22 5.42 22 8.5c0 3.78-3.4 6.86-8.55 11.54L12 21.35z",source:"https://material.io/resources/icons/?icon=favorite&style=baseline",viewBox:ee},"heart-outline":{fullName:"Heart outline",originalName:"favorite_border",d:"M16.5 3c-1.74 0-3.41.81-4.5 2.09C10.91 3.81 9.24 3 7.5 3 4.42 3 2 5.42 2 8.5c0 3.78 3.4 6.86 8.55 11.54L12 21.35l1.45-1.32C18.6 15.36 22 12.28 22 8.5 22 5.42 19.58 3 16.5 3zm-4.4 15.55l-.1.1-.1-.1C7.14 14.24 4 11.39 4 8.5 4 6.5 5.5 5 7.5 5c1.54 0 3.04.99 3.57 2.36h1.87C13.46 5.99 14.96 5 16.5 5c2 0 3.5 1.5 3.5 3.5 0 2.89-3.14 5.74-7.9 10.05z",source:"https://material.io/resources/icons/?icon=favorite_border&style=baseline",viewBox:ee},info:{fullName:"Info",d:"M12 22a10 10 0 1110-10 10.016 10.016 0 01-10 10zm1.127-12.146a5.306 5.306 0 00-.678.049c-.279.035-.531.074-.77.119s-.459.088-.736.156a4.81 4.81 0 00-.557.174v.477l.859.2-.947 4.309-.006.025c-.033.178-.072.381-.1.559a3.757 3.757 0 00-.043.543.637.637 0 00.2.438 1 1 0 00.73.2 3.036 3.036 0 00.531-.049 4.068 4.068 0 00.547-.135 3.4 3.4 0 00.516-.2 3.323 3.323 0 00.428-.238v-.486h-.975l1.252-5.975-.25-.162zM12.889 6.1a1.237 1.237 0 00-.809.266.91.91 0 00-.318.736.869.869 0 00.318.709 1.208 1.208 0 00.809.266 1.242 1.242 0 00.844-.266.879.879 0 00.309-.709.91.91 0 00-.309-.736 1.287 1.287 0 00-.842-.266z",viewBox:ee},launch:{fullName:"Launch",d:"M16 14h2v5a2.006 2.006 0 01-2 2H5a2.006 2.006 0 01-2-2V8a2.006 2.006 0 012-2h5v2H5v11h11zM14 3v2h3.586l-9.293 9.293 1.414 1.414L19 6.414V10h2V3z",viewBox:ee},list:{fullName:"List",d:"M3 13h2v-2H3v2zm0 4h2v-2H3v2zm0-8h2V7H3v2zm4 4h14v-2H7v2zm0 4h14v-2H7v2zM7 7v2h14V7H7z",source:"https://material.io/resources/icons/?icon=list&style=baseline",viewBox:ee},menu:{fullName:"Menu",d:"M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z",source:"https://material.io/resources/icons/?icon=menu&style=baseline",viewBox:ee},minus:{fullName:"Minus",d:"M2.875 10.375h18v3h-18z",viewBox:ee},"minus-circle":{fullName:"Minus circle",originalName:"remove_circle",d:"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11H7v-2h10v2z",source:"https://material.io/resources/icons/?icon=remove_circle&style=baseline",viewBox:ee},"more-horizontal":{fullName:"More horizontal",originalName:"more_horiz",d:"M6 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm12 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z",source:"https://material.io/resources/icons/?icon=more_horiz&style=baseline",viewBox:ee},"more-vertical":{fullName:"More vertical",originalName:"more_vert",d:"M12 8c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm0 2c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z",source:"https://material.io/resources/icons/?icon=more_vert&style=baseline",viewBox:ee},plus:{fullName:"Plus",originalName:"add",d:"M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z",source:"https://material.io/resources/icons/?icon=add&style=baseline",viewBox:ee},"plus-circle":{fullName:"Plus circle",originalName:"add_circle",d:"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z",source:"https://material.io/resources/icons/?icon=add_circle&style=baseline",viewBox:ee},print:{fullName:"Print",d:"M19 8H5c-1.66 0-3 1.34-3 3v6h4v4h12v-4h4v-6c0-1.66-1.34-3-3-3zm-3 11H8v-5h8v5zm3-7c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm-1-9H6v4h12V3z",source:"https://material.io/resources/icons/?icon=print&style=baseline",viewBox:ee},save:{fullName:"Save",d:"M17 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V7l-4-4zm-5 16c-1.66 0-3-1.34-3-3s1.34-3 3-3 3 1.34 3 3-1.34 3-3 3zm3-10H5V5h10v4z",source:"https://material.io/resources/icons/?icon=save&style=baseline",viewBox:ee},search:{fullName:"Search",d:"M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z",source:"https://material.io/resources/icons/?icon=search&style=baseline",viewBox:ee},settings:{fullName:"Settings",d:"M19.14,12.94c0.04-0.3,0.06-0.61,0.06-0.94c0-0.32-0.02-0.64-0.07-0.94l2.03-1.58c0.18-0.14,0.23-0.41,0.12-0.61 l-1.92-3.32c-0.12-0.22-0.37-0.29-0.59-0.22l-2.39,0.96c-0.5-0.38-1.03-0.7-1.62-0.94L14.4,2.81c-0.04-0.24-0.24-0.41-0.48-0.41 h-3.84c-0.24,0-0.43,0.17-0.47,0.41L9.25,5.35C8.66,5.59,8.12,5.92,7.63,6.29L5.24,5.33c-0.22-0.08-0.47,0-0.59,0.22L2.74,8.87 C2.62,9.08,2.66,9.34,2.86,9.48l2.03,1.58C4.84,11.36,4.8,11.69,4.8,12s0.02,0.64,0.07,0.94l-2.03,1.58 c-0.18,0.14-0.23,0.41-0.12,0.61l1.92,3.32c0.12,0.22,0.37,0.29,0.59,0.22l2.39-0.96c0.5,0.38,1.03,0.7,1.62,0.94l0.36,2.54 c0.05,0.24,0.24,0.41,0.48,0.41h3.84c0.24,0,0.44-0.17,0.47-0.41l0.36-2.54c0.59-0.24,1.13-0.56,1.62-0.94l2.39,0.96 c0.22,0.08,0.47,0,0.59-0.22l1.92-3.32c0.12-0.22,0.07-0.47-0.12-0.61L19.14,12.94z M12,15.6c-1.98,0-3.6-1.62-3.6-3.6 s1.62-3.6,3.6-3.6s3.6,1.62,3.6,3.6S13.98,15.6,12,15.6z",source:"https://material.io/resources/icons/?icon=settings&style=baseline",viewBox:ee},star:{fullName:"Star",d:"M12 17.27L18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21z",source:"https://material.io/resources/icons/?icon=star&style=baseline",viewBox:ee},"star-outline":{fullName:"Star outline",originalName:"star_border",d:"M22 9.24l-7.19-.62L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21 12 17.27 18.18 21l-1.63-7.03L22 9.24zM12 15.4l-3.76 2.27 1-4.28-3.32-2.88 4.38-.38L12 6.1l1.71 4.04 4.38.38-3.32 2.88 1 4.28L12 15.4z",source:"https://material.io/resources/icons/?icon=star_border&style=baseline",viewBox:ee},"subdirectory-left":{fullName:"Subdirectory left",originalName:"subdirectory_arrow_left",d:"M11 9l1.42 1.42L8.83 14H18V4h2v12H8.83l3.59 3.58L11 21l-6-6 6-6z",source:"https://material.io/resources/icons/?icon=subdirectory_arrow_left&style=baseline",viewBox:ee},"subdirectory-right":{fullName:"Subdirectory right",originalName:"subdirectory_arrow_right",d:"M19 15l-6 6-1.42-1.42L15.17 16H4V4h2v10h9.17l-3.59-3.58L13 9l6 6z",source:"https://material.io/resources/icons/?icon=subdirectory_arrow_right&style=baseline",viewBox:ee},warning:{fullName:"Warning",d:"M1 21h22L12 2 1 21zm12-3h-2v-2h2v2zm0-4h-2v-4h2v4z",source:"https://material.io/resources/icons/?icon=warning&style=baseline",viewBox:ee}},ne={};Object.keys(te).forEach(function(e){var t=te[e].fullName;t&&(ne[t]=e)});var re=function(e){if(e)return te[e]},ae=["source","children"],ie=e.forwardRef(function(t,n){var r=t.source,a=t.children,i=C(t,ae);/*#__PURE__*/return e.createElement("svg",y({ref:n},i,{xmlns:"http://www.w3.org/2000/svg","data-source":r}),a)}),oe=function(e){return{name:e,enabled:!1,options:{}}},se=oe("arrow"),le=oe("flip"),ce=oe("offset"),de=oe("preventOverflow"),ue={name:"matchWidth",enabled:!1,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t=e.state;t.styles.popper.width=t.rects.reference.width+"px"},effect:function(e){var t=e.state;return function(){t.elements.popper.style.width=t.elements.reference.offsetWidth+"px"}}},me=["isOpen","reference","transition","addEndListener","onEnter","onEntering","onEntered","onExit","onExiting","onExited","timeout","placement","modifiers","strategy","onFirstUpdate","enableArrow","arrowElement","arrowPadding","enableFlip","flipOptions","offset","distance","enablePreventOverflow","boundary","preventOverflowOptions","matchWidth","children","className","style"],fe="--nds-popper-distance",ve=e.forwardRef(function(t,n){var r=t.isOpen,a=t.reference,i=t.transition,o=t.addEndListener,s=t.onEnter,l=t.onEntering,c=t.onEntered,d=t.onExit,u=t.onExiting,m=t.onExited,f=t.timeout,p=t.placement,b=void 0===p?"auto":p,g=t.modifiers,E=t.strategy,w=void 0===E?"absolute":E,N=t.onFirstUpdate,x=t.enableArrow,_=void 0!==x&&x,k=t.arrowElement,O=t.arrowPadding,S=void 0===O?0:O,L=t.enableFlip,D=void 0===L||L,P=t.flipOptions,T=t.offset,z=t.distance,R=t.enablePreventOverflow,A=void 0===R||R,B=t.boundary,H=void 0===B?"clippingParents":B,F=t.preventOverflowOptions,V=t.matchWidth,q=void 0!==V&&V,U=t.children,K=t.className,j=void 0===K?"nds-popper":K,W=t.style,G=C(t,me),Y=I(n),Z=Y[0],$=Y[1],Q=e.useState(null),J=Q[0],X=Q[1],ee=e.useState(),te=ee[0],ne=ee[1],re=e.useMemo(function(){return T?"function"==typeof T?Z&&a instanceof Element?T({popper:Z.getBoundingClientRect(),reference:a.getBoundingClientRect(),placement:b})[1]:0:T[1]:void 0!==z?z:null!=te?te:0},[z,te,T,b,Z,a]);M(function(){if(Z){var e=parseFloat(window.getComputedStyle(Z).getPropertyValue(fe));0!==re||Number.isNaN(e)||ne(e),e!==re&&Z.style.setProperty(fe,re+"px")}},[re,Z]);var ae=e.useMemo(function(){return[y({},se,{enabled:_,options:{element:k||J,padding:S}}),y({},le,{enabled:D,options:P}),y({},ce,{enabled:!0,options:{offset:null!=T?T:[0,re]}}),y({},de,{enabled:A,options:null!=F?F:{boundary:H}}),y({},ue,{enabled:q})].concat(g||[])},[J,S,k,H,re,_,D,A,P,q,g,T,F]),ie=v(a,Z,{placement:b,strategy:w,onFirstUpdate:N,modifiers:ae}),oe=ie.styles,ve=ie.attributes,he=e.useMemo(function(){return o?{addEndListener:o}:f?{timeout:f}:{addEndListener:function(e,t){parseFloat(window.getComputedStyle(e).transitionDuration)>0?e.addEventListener("transitionend",t,!1):t()}}},[o,f]);/*#__PURE__*/return e.createElement(h,y({classNames:i,onEnter:s,onEntering:l,onEntered:c,onExit:d,onExiting:u,onExited:m},he,{in:r,mountOnEnter:!0,unmountOnExit:!0}),/*#__PURE__*/e.createElement("div",y({},G,{className:j,style:y({},W,oe.popper)},ve.popper,{ref:$}),U,!k&&_&&/*#__PURE__*/e.createElement("div",{"data-popper-arrow":!0,style:oe.arrow,ref:X})))}),he=["isOpen","transition","reference","arrowElement","distance","boundary","placement","modifiers","strategy","onFirstUpdate","hideDelay","showDelay","baseName","bodyClass","contentClass","arrowClass","asLabel","trigger","children","className"],pe=e.forwardRef(function(t,n){var r=t.isOpen,a=t.transition,i=void 0===a?"fade":a,o=t.reference,s=t.arrowElement,l=t.distance,c=t.boundary,u=t.placement,m=void 0===u?"top":u,f=t.modifiers,v=t.strategy,h=t.onFirstUpdate,p=t.hideDelay,b=void 0===p?200:p,g=t.showDelay,E=void 0===g?400:g,w=t.baseName,N=void 0===w?"nds-tooltip":w,x=t.bodyClass,_=void 0===x?N+"__body":x,k=t.contentClass,O=t.arrowClass,S=t.asLabel,L=void 0!==S&&S,M=t.trigger,D=void 0===M?"focus pointerenter":M,P=t.children,T=t.className,z=C(t,he),A=I(n),B=A[0],H=A[1],F=e.useState(r||!1),V=F[0],U=F[1],K=R();return e.useEffect(function(){void 0!==r&&U(r)},[r]),q({reference:o,popper:B,trigger:D,isOpen:V,hideDelay:b,showDelay:E,onRequestClose:function(){return!D.includes("manual")&&U(!1)},onRequestOpen:function(){return!D.includes("manual")&&U(!0)}}),e.useEffect(function(){K&&o&&o instanceof Element&&o.setAttribute(L?"aria-labelledby":"aria-describedby",K)},[L,K,o]),P?/*#__PURE__*/e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement(ve,y({role:"tooltip","aria-hidden":"true",className:d(N,T),isOpen:V,transition:i,reference:o,arrowElement:s||O,distance:l,boundary:c,placement:m,modifiers:f,strategy:v,onFirstUpdate:h,enableArrow:!0,ref:H},z),/*#__PURE__*/e.createElement("div",{className:k||_},P)),/*#__PURE__*/e.createElement("div",{hidden:!0,"aria-hidden":"true",id:K},P)):null}),be=["baseName","className","color","icon","size","variant","warnOnClick","tooltipProps","onClick","aria-label","children"],ge=e.forwardRef(function(t,n){var r,a=t.baseName,i=void 0===a?"nds-icon":a,o=t.className,s=t.color,l=void 0===s?"currentColor":s,c=t.icon,u=t.size,m=void 0===u?"1.25em":u,f=t.variant,v=t.warnOnClick,h=void 0===v||v,p=t.tooltipProps,b=t.onClick,g=t["aria-label"],E=t.children,w=C(t,be);b&&h&&console.warn("You've attached a click listener to an icon, which will be inaccessible to many users. Use the Button or IconButton component instead.");var N=I(n),x=N[0],_=N[1],k=e.useMemo(function(){if(!E)return!g||void 0},[g,E]),O=c||re(f),S=e.useMemo(function(){return E?/*#__PURE__*/e.createElement(pe,y({asLabel:!0,reference:x},p),E):null},[E,p,x]);if(!O)return null;var L=O.d,M=O.source,D=O.viewBox,P=void 0===D?ee:D,T=O.children,z=O.label,R=d(i,((r={})[i+"--"+f]=f,r),o);/*#__PURE__*/return e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement(ie,y({ref:_,source:M,viewBox:P,height:m,width:m,style:{minWidth:m},className:R,"aria-label":g||z,"aria-hidden":k,focusable:"false",tabIndex:E?0:void 0,role:"img",fill:l},w),L&&/*#__PURE__*/e.createElement("path",{d:L,"aria-hidden":"true"}),T),S)}),Ee={position:"absolute",width:"1px",height:"1px",padding:"0",margin:"-1px",overflow:"hidden",clip:"rect(0, 0, 0, 0)",whiteSpace:"nowrap",border:"0"},ye={removeAfter:450,updateAfter:50,"aria-live":"assertive"},Ce=function(t){var n=t.removeAfter,r=void 0===n?ye.removeAfter:n,a=t.updateAfter,i=void 0===a?ye.updateAfter:a,o=t.visible,s=t["aria-atomic"],l=t["aria-live"],c=void 0===l?ye["aria-live"]:l,d=t["aria-relevant"],u=t.children,m=t.className,f=t.id,v=t.role,h=e.useState(""),p=h[0],g=h[1],E=e.useState(!1),y=E[0],C=E[1],w=e.useRef(u),N=e.useRef(),x=function(){g(""),C(!1)},_=e.useCallback(function(){g(u),r&&(N.current=window.setTimeout(x,r))},[u,r]);e.useEffect(function(){y&&window.setTimeout(_,i)},[y,_,i]),e.useEffect(function(){u&&w.current!==u&&(window.clearTimeout(N.current),w.current=u,C(!0))},[u]);var k=e.useMemo(function(){/*#__PURE__*/return e.createElement("div",{"aria-atomic":s,"aria-live":c,"aria-relevant":d,className:m,id:f,role:v,style:o?void 0:Ee},p)},[s,c,d,m,f,p,v,o]);return"undefined"==typeof document?null:b(y?k:null,document.body)};Ce.defaultProps=ye;var we=function(t,n){var r=e.useState(""),a=r[0],i=r[1],o=e.useRef(n);return e.useEffect(function(){t&&document.activeElement===t&&(m(o.current,n)||(o.current=n,i(n)))},[n,t]),a},Ne=["baseName","variant","icon","iconRight","iconOnly","color","tooltipProps","iconClass","textClass","className","children","aria-label","aria-labelledby"],xe=e.forwardRef(function(t,n){var r,a=t.baseName,i=void 0===a?"nds-button":a,o=t.variant,s=t.icon,l=t.iconRight,c=t.iconOnly,u=t.color,m=t.tooltipProps,f=t.iconClass,v=void 0===f?i+"__icon":f,h=t.textClass,p=void 0===h?i+"__text":h,b=t.className,g=t.children,E=t["aria-label"],w=t["aria-labelledby"],N=C(t,Ne);if(!e.Children.count(g)&&!E&&!w)throw new Error("Button components must always have a valid accessible name. This can be provided via children or an ARIA name. See https://www.w3.org/WAI/ARIA/apg/practices/names-and-descriptions/ for more details.");var x=I(n),_=x[0],k=x[1],O=we(_,g),S=e.useMemo(function(){if(!s)return null;var t=y({},{className:v},"string"==typeof s?{variant:s}:{icon:s});/*#__PURE__*/return e.createElement(ge,t)},[s,v]),L=e.useMemo(function(){return s&&c?null:e.isValidElement(g)?g:/*#__PURE__*/e.createElement("span",{className:p,children:g})},[g,s,c,p]),M=d(((r={})[i+"--solid"]="solid"===o,r[i+"--outline"]="outline"===o,r[i+"--ghost"]="ghost"===o,r[i+"--icon-only"]=s&&c,r[i+"--"+u]=void 0!==u,r),i,b);/*#__PURE__*/return e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement(X,y({className:M,ref:k,"aria-label":E,"aria-labelledby":w},N),l?null:S,L,l?S:null),c&&/*#__PURE__*/e.createElement(pe,y({asLabel:!0,reference:_},m),g),/*#__PURE__*/e.createElement(Ce,null,O))}),_e=["variant","children"],ke=e.forwardRef(function(t,n){var r=t.variant,a=void 0===r?"ghost":r,i=t.children,o=C(t,_e);/*#__PURE__*/return e.createElement(xe,y({iconOnly:!0,variant:a,ref:n},o),i)}),Oe=["title","icon","dismissible","tag","children","className","baseName","iconClass","headerClass","titleClass","dismissClass","bodyClass","border","color","onDismiss"],Se=["children"],Ie=["children"],Le=["children"],Me=function(t){var n,r=t.title,a=t.icon,i=t.dismissible,o=void 0!==i&&i,s=t.tag,l=t.children,c=t.className,u=t.baseName,m=void 0===u?"nds-callout":u,f=t.iconClass,v=void 0===f?m+"__icon":f,h=t.headerClass,p=void 0===h?m+"__header":h,b=t.titleClass,g=void 0===b?m+"__title":b,E=t.dismissClass,w=void 0===E?m+"__dismiss":E,N=t.bodyClass,x=void 0===N?m+"__body":N,_=t.border,k=t.color,O=t.onDismiss,S=C(t,Oe),I=e.useState(!1),L=I[0],M=I[1],D=R(),P=e.useMemo(function(){return"string"==typeof a?{variant:a}:{icon:a}},[a]),T=d(c,m,((n={})[m+"--"+k]=void 0!==k,n[m+"--no-title"]=!r,n)),z=e.useMemo(function(){return s||(r?"aside":"div")},[s,r]);return L?null:/*#__PURE__*/e.createElement(z,y({className:T,"data-border":_,"aria-labelledby":r&&"div"!==s?D:void 0},S),r&&/*#__PURE__*/e.createElement("header",{className:p},a&&/*#__PURE__*/e.createElement("span",{className:v},/*#__PURE__*/e.createElement(ge,P)),/*#__PURE__*/e.createElement("div",{className:g,id:D},r)),o&&/*#__PURE__*/e.createElement(xe,{icon:"close",iconOnly:!0,onClick:function(){M(!0),O&&O()},className:w},"Dismiss"),/*#__PURE__*/e.createElement("div",{className:x},l))},De=function(t){var n=t.children,r=C(t,Se);/*#__PURE__*/return e.createElement(Me,y({border:"left",color:"error",icon:"exclamation",title:"Error"},r),n)},Pe=function(t){var n=t.children,r=C(t,Ie);/*#__PURE__*/return e.createElement(Me,y({border:"left",color:"success",icon:"check-circle",title:"Success"},r),n)},Te=function(t){var n=t.children,r=C(t,Le);/*#__PURE__*/return e.createElement(Me,y({border:"left",color:"warning",icon:"warning",title:"Warning"},r),n)},ze=["errors","validateOnChange","validateOnDOMChange","validators","maxLength","maxLengthRestrictsInput","onInput","onDOMChange","onValidate"],Re={validateOnDOMChange:!0},Ae=e.forwardRef(function(t,n){var r=t.errors,a=t.validateOnChange,i=t.validateOnDOMChange,o=void 0===i?Re.validateOnDOMChange:i,s=t.validators,l=t.maxLength,c=t.maxLengthRestrictsInput,d=void 0!==c&&c,u=t.onInput,m=t.onDOMChange,f=t.onValidate,v=C(t,ze),h=I(n),p=h[0],b=h[1],g=e.useState(r),E=g[0],w=g[1];e.useEffect(function(){return w(r)},[r]);var N=$(s),x=e.useCallback(function(e){var t=N({max:e.max,maxLength:l||e.maxLength,min:e.min,minLength:e.minLength,pattern:e.pattern,required:e.required,step:e.step,type:e.type,value:e.value,validity:e.validity});f&&f(t),r||w(t)},[N,f,r,l]),_=e.useCallback(function(e){m&&m(e),o&&x(e.target)},[m,o,x]);return e.useEffect(function(){if(p&&p.willValidate){var e=E&&E.length?E.join("\n"):"";p.setCustomValidity(e)}},[p,E]),M(function(){return p&&_&&p.addEventListener("change",_),function(){p&&_&&p.removeEventListener("change",_)}},[p,_]),/*#__PURE__*/e.createElement("input",y({ref:b,onInput:function(e){u&&u(e),a&&x(e.currentTarget)},maxLength:d?l:void 0},v))});Ae.defaultProps=Re;var Be=function(t){var n=t.baseName,r=t.className;/*#__PURE__*/return e.createElement("span",{className:void 0===r?(void 0===n?"nds-field":n)+"__addon":r},t.children)},He=function(t){var n=t.errors,r=t.liveErrors,a=void 0===r||r,i=t.baseName,o=void 0===i?"nds-field":i,s=t.errorsClass,l=void 0===s?o+"__errors":s,c=t.errorsId,d=t.children,u=t.className,m=void 0===u?o+"__feedback":u,f=t.id,v=e.useMemo(function(){return n&&n.length?n.map(function(t){/*#__PURE__*/return e.createElement("li",{key:t},t)}):null},[n]);/*#__PURE__*/return e.createElement("div",{id:f,className:m},/*#__PURE__*/e.createElement("ul",{className:l,id:c,"aria-label":"Errors","aria-live":a?"assertive":void 0,"aria-atomic":a?"true":void 0},v),d)},Fe=function(t){var n=t.label,r=t.labelTag,a=t.indicator,i=t.description,o=t.baseName,s=void 0===o?"nds-field":o,l=t.labelClass,c=void 0===l?s+"__label":l,u=t.indicatorClass,m=void 0===u?s+"__indicator":u,f=t.descriptionClass,v=void 0===f?s+"__desc":f,h=t.labelId,p=t.descriptionId,b=t.children,g=t.className,E=t.htmlFor,y=t.id,C=e.useMemo(function(){return a?/*#__PURE__*/e.createElement(e.Fragment,null," ",/*#__PURE__*/e.createElement("span",{className:m},"(",a,")")):null},[a,m]),w=e.useMemo(function(){/*#__PURE__*/return e.createElement(E?"label":r||"div",{className:c,htmlFor:E,id:h,children:/*#__PURE__*/e.createElement(e.Fragment,null,n,C)})},[n,c,E,h,C,r]),N=e.useMemo(function(){return"legend"===r||i?/*#__PURE__*/e.createElement("div",{className:v,id:p},i):null},[r,i,v,p]);return"legend"===r?/*#__PURE__*/e.createElement(e.Fragment,null,w,N,b):/*#__PURE__*/e.createElement("div",{className:d(s+"__info",g),id:y},w,N,b)},Ve=["type","checked","indeterminate","optionalIndicator","requiredIndicator","validators","description","thumbnail","errors","children","baseName","className","controlClass","descriptionClass","inputClass","thumbnailClass","checkedClass","labelClass","errorsClass","id","labelId","descriptionId","errorsId","required","value","onChange","onDOMChange","onValidate"],qe=e.forwardRef(function(t,n){var r,a=t.type,i=void 0===a?"radio":a,o=t.checked,s=void 0!==o&&o,l=t.indeterminate,c=t.optionalIndicator,u=t.requiredIndicator,m=t.validators,f=t.description,v=t.thumbnail,h=t.errors,p=t.children,b=t.baseName,g=void 0===b?"nds-field":b,E=t.className,w=void 0===E?d(g+"__group",g+"__group--choice"):E,N=t.controlClass,x=void 0===N?d(g+"__control",g+"__control--"+i):N,_=t.descriptionClass,k=t.inputClass,O=void 0===k?d(g+"__input",g+"__input--"+i):k,S=t.thumbnailClass,M=void 0===S?g+"__thumbnail":S,D=t.checkedClass,P=void 0===D?g+"--checked":D,T=t.labelClass,z=t.errorsClass,A=t.id,B=t.labelId,H=t.descriptionId,F=t.errorsId,V=t.required,q=t.value,U=t.onChange,K=t.onDOMChange,j=t.onValidate,W=C(t,Ve),G=I(n),Y=G[0],Z=G[1],$=e.useState(s),Q=$[0],J=$[1],X=e.useState(l),ee=X[0],te=X[1],ne=e.useState(h),re=ne[0],ae=ne[1],ie=R(),oe=A||ie,se=B||oe+"-label",le=H||oe+"-desc",ce=F||oe+"-err";e.useEffect(function(){return ae(h)},[h]),L(function(){return J(s)},[s]),e.useEffect(function(){return te(l)},[l]);var de=e.useMemo(function(){return u&&V?"required":c&&!V?"optional":null},[u,c,V]),ue=e.useMemo(function(){/*#__PURE__*/return e.createElement("label",{className:x,htmlFor:oe,"aria-hidden":"true"},"checkbox"===i&&/*#__PURE__*/e.createElement(ge,{variant:ee?"minus":"check",stroke:"currentColor"}))},[x,ee,oe,i]),me=e.useMemo(function(){return v?/*#__PURE__*/e.createElement("label",{className:M,htmlFor:oe,role:"none"},v):null},[oe,v,M]),fe=e.useMemo(function(){return"checkbox"===i&&re&&0!==re.length?/*#__PURE__*/e.createElement(He,{errors:re,errorsClass:z,errorsId:ce}):null},[i,re,z,ce]),ve=e.useMemo(function(){return Boolean(!re||0===re.length)},[re]);return e.useEffect(function(){Y&&"checkbox"===i&&void 0!==ee&&(Y.indeterminate=ee)},[Y,i,ee]),/*#__PURE__*/e.createElement("div",{className:d(w,(r={},r[P]=Q,r))},/*#__PURE__*/e.createElement(Ae,y({type:i,checked:Q,ref:Z,id:oe,className:O,errors:re,validators:m,"aria-labelledby":se,"aria-describedby":f?le:void 0,"aria-invalid":!ve,"aria-errormessage":ve?void 0:ce,onChange:function(e){U?U(e):(J(e.currentTarget.checked),te(!1))},onDOMChange:K,onValidate:function(e){j&&j(e),h||ae(e)},required:V,value:q},W)),ue,me,/*#__PURE__*/e.createElement(Fe,{indicator:de,htmlFor:oe,label:p||q,labelClass:T,labelId:se,description:f,descriptionClass:_,descriptionId:le},fe))}),Ue=["choices","selected","multiple"],Ke=function(t){var n=t.choices,r=t.selected,a=t.multiple,i=C(t,Ue),o=e.useMemo(function(){return Array.isArray(r)?r:void 0!==r?[r]:[]},[r]),s=e.useMemo(function(){return n.map(function(t,n){var r,s;"object"==typeof t?(r=(t.value||t.children||"").toString(),s=y({},t,i,{value:r})):s=y({value:r=t,children:r},i);var l=void 0!==r?r.toString():"choice-"+n,c=o.includes(r);/*#__PURE__*/return e.createElement(qe,y({key:l},s,{checked:c,type:a?"checkbox":"radio"}))})},[n,i,o,a]);/*#__PURE__*/return e.createElement(e.Fragment,null,s)},je=["multiple","required","optionalIndicator","requiredIndicator","name","fieldName","label","children","description","errors","baseName","className","labelClass","descriptionClass","errorsClass","id","labelId","descriptionId","errorsId","onChange"],We=e.forwardRef(function(t,n){var r=t.multiple,a=t.required,i=t.optionalIndicator,o=t.requiredIndicator,s=t.name,l=t.fieldName,c=t.label,u=t.children,m=t.description,f=t.errors,v=t.baseName,h=void 0===v?"nds-field":v,p=t.className,b=void 0===p?d(h,h+"--choice"):p,g=t.labelClass,E=t.descriptionClass,w=t.errorsClass,N=t.id,x=t.labelId,_=t.descriptionId,k=t.errorsId,O=t.onChange,S=C(t,je),I=e.useState(f),L=I[0],M=I[1],D=e.useMemo(function(){return r?"checkbox":"radio"},[r]);e.useEffect(function(){return M(f)},[f]);var P=R(),T=N||P,z=x||T+"-label",A=_||T+"-desc",B=k||T+"-err",H=e.useMemo(function(){return o&&a?"required":i&&!a?"optional":null},[o,i,a]),F=e.useCallback(function(t){return e.isValidElement(t)?e.cloneElement(t,{multiple:r}):e.Children.map(t,function(t){if(Array.isArray(t))return F(t);var n,r,a={name:s||T,type:D};if("string"==typeof t||"number"==typeof t)n=t,r=y({},a,{children:t});else{if(!e.isValidElement(t))throw new Error("invalid children");n=(t.props.value||t.props.children||"").toString(),r=y({},t.props,a)}/*#__PURE__*/return e.createElement(qe,y({key:n},r,{value:n}))})},[r,s,T,D]),V=e.useMemo(function(){return F(u)},[u,F]);/*#__PURE__*/return e.createElement("fieldset",y({ref:n,className:b,id:N,name:l,onChange:O},S),/*#__PURE__*/e.createElement(Fe,{label:c,labelClass:g,labelId:z,labelTag:"legend",description:m,descriptionClass:E,descriptionId:A,indicator:H}),V,/*#__PURE__*/e.createElement(He,{errors:L,errorsId:B,errorsClass:w}))});We.Choice=qe,We.Choices=Ke;var Ge=e.forwardRef(function(t,n){/*#__PURE__*/return e.createElement(qe,y({ref:n},t,{type:"checkbox"}))}),Ye=function(t){/*#__PURE__*/return e.createElement(We,y({},t,{multiple:!0}))},Ze=["children"],$e=e.forwardRef(function(t,n){var r=t.children,a=C(t,Ze);/*#__PURE__*/return e.createElement("details",y({ref:n},a),r)}),Qe=["marker","markerPosition","children"],Je=e.forwardRef(function(t,n){var r=t.marker,a=t.markerPosition,i=void 0===a?"left":a,o=t.children,s=C(t,Qe);/*#__PURE__*/return e.createElement("summary",y({ref:n},s),/*#__PURE__*/e.createElement("div",{style:{display:"flex",width:"100%"}},"left"===i&&r,o,"right"===i&&r))}),Xe=["isOpen","reducedMotion","summary","children","marker","markerPosition","markerTransform","panel","className","baseName","summaryClass","markerClass","contentsOuterClass","contentsInnerClass","onCloseStart","onCloseCancel","onCloseEnd","onOpenStart","onOpenCancel","onOpenEnd"],et=function(e){try{var t,n=function(){if(e)return Promise.resolve(e()).then(function(e){return t=1,!1!==e})}();return Promise.resolve(n&&n.then?n.then(function(e){return!t||e}):!t||n)}catch(e){return Promise.reject(e)}},tt=e.forwardRef(function(t,n){var r,a=t.isOpen,i=void 0!==a&&a,o=t.reducedMotion,s=t.summary,l=t.children,c=t.marker,u=void 0===c?function(e){return e?"chevron-down":"caret-right"}:c,m=t.markerPosition,f=void 0===m?function(e){return e?"right":"left"}:m,v=t.markerTransform,h=t.panel,p=t.className,b=t.baseName,g=void 0===b?"nds-disclosure":b,E=t.summaryClass,w=void 0===E?g+"__summary":E,N=t.markerClass,x=void 0===N?g+"__marker":N,_=t.contentsOuterClass,k=void 0===_?g+"__contents-outer":_,O=t.contentsInnerClass,S=void 0===O?g+"__contents-inner":O,I=t.onCloseStart,L=t.onCloseCancel,D=t.onCloseEnd,P=t.onOpenStart,T=t.onOpenCancel,z=t.onOpenEnd,R=C(t,Xe),A=e.useState(i),B=A[0],H=A[1],F=e.useState(),V=F[0],q=F[1],U=e.useState(),K=U[0],j=U[1],W=e.useState(),G=W[0],Y=W[1],Z=e.useState(null),$=Z[0],Q=Z[1],J=e.useMemo(function(){return v||(h?"flip-3d":"rotate-90")},[v,h]),X=e.useMemo(function(){return!o&&(!$||window.getComputedStyle($).getPropertyValue("transition-duration").split(/,\s*/).some(function(e){return parseFloat(e)>0}))},[o,$]),ee=e.useCallback(function(){try{if(B||"opening"===K)return Promise.resolve();var e="closing"===K?Promise.resolve(et(L)).then(function(e){e&&j(X?"opening":void 0)}):Promise.resolve(et(P)).then(function(e){e&&H(!0)});return Promise.resolve(e&&e.then?e.then(function(){}):void 0)}catch(e){return Promise.reject(e)}},[B,K,X,L,P]),te=e.useCallback(function(){try{if(!B||"closing"===K)return Promise.resolve();var e="opening"===K?Promise.resolve(et(T)).then(function(e){e&&j(X?"closing":void 0)}):Promise.resolve(et(I)).then(function(e){e&&(X?(Y({height:V}),window.requestAnimationFrame(function(){j("closing")})):H(!1))});return Promise.resolve(e&&e.then?e.then(function(){}):void 0)}catch(e){return Promise.reject(e)}},[B,K,V,X,T,I]);e.useEffect(function(){i?ee():te()},[i]),M(function(){B||j(void 0),B&&$&&(q($.offsetHeight),X&&(Y({height:0}),window.requestAnimationFrame(function(){j("opening")})))},[B,$,X]),e.useEffect(function(){X?("opening"===K&&V&&Y({height:V}),"closing"===K&&Y({height:0})):Y(void 0)},[K,V,X]);var ne=e.useCallback(function(e){if(e)return"string"==typeof e?{variant:e}:"function"==typeof e?ne(e(h)):{icon:e}},[h]),re=e.useMemo(function(){if(u){var t=ne(u);/*#__PURE__*/return e.createElement("span",{className:x},/*#__PURE__*/e.createElement(ge,y({},t,{"data-transform":J})))}},[u,x,J,ne]),ae=e.useMemo(function(){if(f)return"function"==typeof f?f(h)||void 0:f},[f,h]),ie=d(p,g,K&&"nds-"+K,((r={})[g+"--panel"]=h,r["nds-reduced-motion"]=!X,r));/*#__PURE__*/return e.createElement($e,y({ref:n,className:ie,open:B},R),/*#__PURE__*/e.createElement(Je,{className:w,marker:re,onClick:function(e){e.preventDefault(),B?te():ee()},markerPosition:ae,"aria-expanded":B},/*#__PURE__*/e.createElement("span",{className:g+"__title"},s)),B&&/*#__PURE__*/e.createElement("div",{style:G,className:k,ref:Q,onTransitionEnd:function(){j(void 0),Y(void 0),"opening"===K&&z&&z(),"closing"===K&&(H(!1),D&&D())}},/*#__PURE__*/e.createElement("div",{className:S},l)))}),nt=["disabled","label","selected","marker","className","onClick","onKeyDown","children"],rt=e.forwardRef(function(t,n){var r=t.disabled,a=t.label,i=t.selected,o=t.marker,s=t.className,l=void 0===s?"nds-option":s,c=t.onClick,d=t.onKeyDown,u=t.children,m=C(t,nt),f=e.useMemo(function(){return e.isValidElement(o)?o:/*#__PURE__*/e.createElement("span",{className:"nds-option__marker","aria-hidden":!i},/*#__PURE__*/e.createElement(ge,{variant:"dot"!==o?"check":void 0,icon:"dot"===o?{children:/*#__PURE__*/e.createElement("circle",{r:"6",cx:"12",cy:"12"})}:void 0,color:i?"currentColor":"transparent","aria-label":i?"Checked":void 0,size:"0.875em"}))},[o,i]);/*#__PURE__*/return e.createElement("li",y({ref:n,className:l,onClick:r?void 0:c,onKeyDown:r?void 0:d},m,{"aria-selected":i?"true":"false","aria-disabled":r?"true":void 0,role:"option"}),f,a||u)}),at=["options","optionProps","multiselectable","selected","onChange","autofocus","focusableIndex","focusWrap","onOptionFocus","className","children","optionClass","orientation"],it=["children","disabled","value","label","selected"],ot=e.forwardRef(function(t,n){var r=t.options,a=t.optionProps,i=t.multiselectable,o=t.selected,s=t.onChange,l=t.autofocus,c=t.focusableIndex,d=t.focusWrap,u=t.onOptionFocus,m=t.className,f=void 0===m?"nds-listbox":m,v=t.children,h=t.optionClass,p=void 0===h?"nds-option":h,b=t.orientation,g=C(t,at),E=I(n),w=E[0],N=E[1],x=e.useState(!1),_=x[0],O=x[1],S=e.useRef(new Set),L=e.useMemo(function(){var e=v;return r&&(e=Array.isArray(r)?r.map(function(e){if("object"==typeof e){var t=[];if("value"in e||t.push("value"),"label"in e||t.push("label"),t.length)throw new Error("The <Listbox> options prop must contain a value and label when an array of objects. Missing props: "+t.join(",")+".");return e}return{label:e.toString(),value:e}}):Object.keys(r).map(function(e){return{label:e,value:r[e]}})),k(e)},[r,v]),M=e.useMemo(function(){return L.filter(function(e){return e.props.selected}).map(function(e){return e.props.value})},[L]),D=K(i,M),P=D.toggle,T=void 0!==o?o:D.selected;e.useEffect(function(){if(!i&&T.length>1)throw new Error(K.SELECT_OVERLOAD)},[i,T]);var z=e.useMemo(function(){switch(b){case"vertical":return{nextKeys:["ArrowDown"],prevKeys:["ArrowUp"]};case"horizontal":return{nextKeys:["ArrowRight"],prevKeys:["ArrowLeft"]};default:return{}}},[b]),R=U(y({container:w,size:L.length,initialIndex:c,wrap:d,autofocus:l,disabledItems:S.current},z)),A=R.dispatch,B=R.containerProps,H=B.onKeyDown,F=B.onBlur,V=R.childProps,q=V.createRef,j=V.tabIndex,W=e.useMemo(function(){return L.map(function(t,n){var r=t.props,i=y({},"function"==typeof a?a(n):a,r),l=i.children,c=i.disabled,d=i.value,m=i.label,f=void 0===m?l||d:m,v=C(i,it);if(!d)throw new Error("<Option> elements must provide a value prop.");c?S.current.add(n):S.current.delete(n);var h=function(){s?s(y({children:l,disabled:c},v,{value:d,label:f}),n):o||P(d)};/*#__PURE__*/return e.createElement(rt,y({key:d,value:d,label:f,selected:T.includes(d),disabled:c,className:p,tabIndex:c?-1:j(n),onClick:function(e){c?e.preventDefault():(A({type:"GOTO",payload:n}),h())},onKeyDown:function(e){"Enter"===e.key&&h()," "===e.key&&(e.preventDefault(),O(!0))},onKeyUp:function(e){" "===e.key&&_&&(h(),O(!1))},onBlur:function(){return O(!1)},onFocus:function(e){u&&u(e,n)},ref:c?void 0:q(n)},v),l)})},[q,A,_,s,u,a,L,T,o,j,P,p]);/*#__PURE__*/return e.createElement("ul",y({ref:N,className:f,"aria-orientation":b,onKeyDown:H,onBlur:F},g,{role:"listbox","aria-multiselectable":i}),W)}),st=function(t){var n=t.label,r=t.description,a=t.selected,i=void 0===a?"":a,o=t.buttonContents,s=void 0===o?"Select":o,c=t.autofocus,u=void 0===c||c,m=t.isOpen,f=void 0!==m&&m,v=t.matchWidth,h=t.buttonWidth,p=t.sort,b=t.baseName,g=void 0===b?"nds-dropdown":b,E=t.buttonClass,C=void 0===E?g+"__button":E,w=t.popperClass,N=void 0===w?g+"__popper":w,x=t.listboxClass,_=void 0===x?g+"__listbox":x,k=t.id,S=t.className,I=t.labelClass,L=t.descriptionClass,D=t.closeOnExternalClick,P=void 0===D||D,T=t.closeOnDocumentEscape,z=void 0===T||T,A=t.onRequestClose,B=t.onRequestOpen,H=t.onChange,F=t.onFirstUpdate,V=t.labelId,q=t.descriptionId,U=t.buttonId,j=t.listboxId,W=t.selectedMarker,G=void 0===W?"check":W,Y=t.disabled,Z=t.children,$=t.placement,Q=void 0===$?"bottom-start":$,J=t.strategy,X=void 0===J?"fixed":J,ee=t.transition,te=void 0===ee?"fade":ee,ne=t.distance,re=void 0===ne?4:ne,ae=t.modifiers,ie=e.useMemo(function(){return p?function(e,t){var n=String(e.value).toUpperCase(),r=String(t.value).toUpperCase(),a="descending"===p?-1:1;return n<r?-1*a:n>r?1*a:0}:null},[p]),oe=e.useMemo(function(){var t=e.Children.map(Z,function(t){var n;if(e.isValidElement(t)){var r="";"number"==typeof t.props.value||void 0!==t.props.value?r=t.props.value:t.props.children&&(r=t.props.children.toString()),n=y({},t.props,{value:r})}else n={value:t.toString(),children:t};return n});return ie?t.sort(ie):t},[Z,ie]),se=l(function(e){var t=oe.findIndex(function(t){return t.value===e});return-1===t?0:t},[oe]),le=e.useState(f),ce=le[0],de=le[1],ue=R(),me=k||ue,fe=V||me+"-label",he=q||me+"-desc",pe=U||me+"-btn",be=e.useState(null),ge=be[0],Ee=be[1],ye=e.useState(null),Ce=ye[0],we=ye[1],Ne=e.useState(),_e=Ne[0],ke=Ne[1],Oe=e.useState(s),Se=Oe[0],Ie=Oe[1],Le=e.useState(!1),Me=Le[0],De=Le[1],Pe=e.useState(te),Te=Pe[0],ze=Pe[1],Re=e.useState(se(i)),Ae=Re[0],Be=Re[1],He=K(!1,[i]),Ve=He.selected,qe=He.select,Ue=j||me+"-listbox",Ke=me+"-curr",je=e.useRef(!1),We=e.useCallback(function(){B?B():de(!0)},[B]),Ge=e.useCallback(function(){A?A():de(!1)},[A]);e.useEffect(function(){i!==Ve[0]&&(qe(i),Ie(s),Be(se(i)))},[i]);var Ye=e.useCallback(function(e){var t=e.composedPath(),n=ge&&t.includes(ge),r=Ce&&t.includes(Ce);!P||n||r||(De(!1),Ge())},[ge,Ce,P,Ge]),Ze=e.useCallback(function(e){ce&&(z&&"Escape"===e.key&&(De(!0),Ge()),"Tab"===e.key&&(De(!1),Ge()))},[ce,Ge,z]);return e.useEffect(function(){Y&&(De(!0),Ge())},[Y,Ge]),e.useEffect(function(){de(f)},[f]),e.useEffect(function(){!ce&&Me&&null!==ge&&(O&&"requestAnimationFrame"in window&&window.requestAnimationFrame(function(){return ge.focus()}),De(!1))},[ge,ce,Me]),e.useEffect(function(){"listbox"===v&&void 0===_e&&(je.current=!0,ze(void 0),de(!0),O&&"requestAnimationFrame"in window&&window.requestAnimationFrame(function(){ze(te)}))},[_e,v,te]),M(function(){Ce&&ke(Ce.offsetWidth)},[Ce]),M(function(){"number"==typeof _e&&je.current&&(de(f),je.current=!1)},[_e,f]),M(function(){return document.addEventListener("keydown",Ze),document.addEventListener("click",Ye),function(){document.removeEventListener("keydown",Ze),document.removeEventListener("click",Ye)}},[Ze,Ye]),/*#__PURE__*/e.createElement("div",{className:d(g,S),id:k},/*#__PURE__*/e.createElement(Fe,{label:n,labelClass:I,labelId:fe,description:r,descriptionClass:L,descriptionId:he}),/*#__PURE__*/e.createElement(xe,{id:pe,className:C,disabled:Y,variant:"outline",style:{width:"listbox"===v?_e:h},"aria-expanded":ce?"true":void 0,"aria-labelledby":fe+" "+Ke,"aria-haspopup":"listbox","aria-controls":ce?Ue:void 0,onClick:function(){ce?Ge():We()},onKeyDown:function(e){["ArrowDown","ArrowUp"].includes(e.key)&&(e.preventDefault(),We())},ref:Ee,icon:je.current?void 0:"chevron-down",iconRight:!0},/*#__PURE__*/e.createElement("span",{id:Ke},Se)),/*#__PURE__*/e.createElement(ve,{placement:Q,className:N,reference:ge,isOpen:ce,modifiers:ae,strategy:X,distance:re,transition:Te,onFirstUpdate:F,matchWidth:"button"===v},/*#__PURE__*/e.createElement(ot,{id:Ue,"aria-labelledby":fe,multiselectable:!1,className:_,optionClass:"nds-dropdown__option",optionProps:{marker:G},selected:Ve,onChange:function(e,t){void 0===t&&(t=0),H?H({value:e.value,contents:e.label}):qe(e.value),Ie(e.label),De(!0),Be(t),Ge()},focusableIndex:Ae,autofocus:ce&&u,ref:we},oe)))};st.Option=rt;var lt=["external","children"],ct=e.forwardRef(function(t,n){var r=H();if(r)/*#__PURE__*/return e.createElement(r,y({className:"nds-link",ref:n},t));var a=t.external,i=t.children,o=C(t,lt);/*#__PURE__*/return e.createElement("a",y({className:"nds-link",rel:a?"noopener noreferrer":void 0,target:a?"_blank":void 0,ref:n},o),i,a&&/*#__PURE__*/e.createElement("span",{className:"nds-link__launch"},/*#__PURE__*/e.createElement(ge,{size:"1em",variant:"launch"})))}),dt=['[contentEditable=true]:not([tabindex="-1"])','[tabindex]:not([tabindex="-1"])','a[href]:not([tabindex="-1"])','button:not([disabled]):not([tabindex="-1"])',"dialog",'embed:not([tabindex="-1"])','iframe:not([tabindex="-1"])','input:not([disabled]):not([tabindex="-1"])','map[name] area[href]:not([tabindex="-1"])','object:not([tabindex="-1"])','select:not([disabled]):not([tabindex="-1"])','summary:not([tabindex="-1"])','textarea:not([disabled]):not([tabindex="-1"])'],ut=function(e){return e.querySelectorAll(dt.join(","))},mt=["modal","children"],ft=e.forwardRef(function(t,n){var r=t.modal,a=t.children,i=C(t,mt);/*#__PURE__*/return e.createElement("div",y({ref:n},i,{role:"dialog","aria-modal":r?"true":"false"}),a)}),vt=/*#__PURE__*/function(t){function n(e){var r;return(r=t.call(this,e)||this).baseName=void 0,r.id=void 0,r.titleId=void 0,r.portalNode=void 0,r.dialog=null,r.header=null,r.content=null,r.footer=null,r.stickyObserver=null,r.bodyStyle=null,r.open=function(){r.setState({isOpen:!0,trigger:document.activeElement})},r.close=function(){r.setState({isOpen:!1})},r.requestClose=function(){var e=r.props.onRequestClose;e&&e()},r.updateLength=function(){if(r.dialog){var e=r.dialog.offsetHeight>window.innerHeight-80;r.setState({long:e,stuckFooter:e})}},r.onPointerDownClick=function(){r.setState({isClickingDialog:!0})},r.onPointerUpClick=function(e){var t,n=r.state.isClickingDialog;null!=(t=r.dialog)&&t.contains(e.target)||n||r.setState({isClickingDialog:!1})},r.onBackdropClick=function(e){var t=r.state.isClickingDialog;r.props.closeOnBackdropClick&&r.dialog&&!e.nativeEvent.composedPath().includes(r.dialog)&&!t&&r.requestClose(),r.setState({isClickingDialog:!1})},r.onDocumentKeydown=function(e){var t;if(r.state.isOpen&&("Escape"===e.key&&r.props.closeOnEscape&&r.requestClose(),"Tab"===e.key&&(null!=(t=r.dialog)&&t.contains(document.activeElement)||!document.activeElement))){var n=r.dialog?ut(r.dialog):[];if(n.length){var a,i=Array.from(n).indexOf(document.activeElement);(i<0||i===n.length-1&&!e.shiftKey)&&(a=n[0]),0===i&&e.shiftKey&&(a=n[n.length-1]),a&&(e.preventDefault(),a.focus())}else e.preventDefault()}},r.baseName=e.baseName||n.bemBase,r.id=e.id||g(r.baseName+"-"),r.titleId=r.id+"-"+n.bemElements.title,r.portalNode=O?r.createPortalNode():null,r.state={isOpen:e.isOpen||n.defaultProps.isOpen,trigger:null,long:!1,stuckHeader:!1,stuckFooter:!1,isClickingDialog:!1},r}var r,a;a=t,(r=n).prototype=Object.create(a.prototype),r.prototype.constructor=r,w(r,a);var i,o,s=n.prototype;return s.componentDidMount=function(){var e=this;if(O&&this.portalNode){if(this.bodyStyle=document.body.style.cssText,"IntersectionObserver"in window&&(this.stickyObserver=new IntersectionObserver(function(t){var n=t[0];n.target===e.header&&e.setState({stuckHeader:n.intersectionRatio<1}),n.target===e.footer&&e.setState({stuckFooter:n.intersectionRatio<1})},{threshold:[1]})),!document.contains(this.portalNode)){var t=this.props.mountPoint;(void 0===t?n.defaultProps.mountPoint:t)().appendChild(this.portalNode)}this.state.isOpen&&this.onOpen()}},s.getSnapshotBeforeUpdate=function(e){var t=e.mountPoint,r=this.props.mountPoint,a=void 0===r?n.defaultProps.mountPoint:r;return{prevMount:(void 0===t?n.defaultProps.mountPoint:t)(),nextMount:a()}},s.componentDidUpdate=function(e,t,r){var a=r.prevMount,i=r.nextMount;if(O&&this.portalNode){var o=this.props,s=o.isOpen,l=o.children,c=o.focusOnOpen,d=o.portalClass,u=void 0===d?this.baseName+"__"+n.bemElements.portal:d,m=this.state.isOpen;e.portalClass!==u&&(this.portalNode.className=u),i!==a&&(a.removeChild(this.portalNode),i.appendChild(this.portalNode)),!e.isOpen&&s?this.open():e.isOpen&&!s&&this.close(),!t.isOpen&&m?this.onOpen():t.isOpen&&!m&&this.onClose(),e.children!==l&&this.updateLength(),m&&!e.focusOnOpen&&c&&c.focus()}},s.componentWillUnmount=function(){O&&this.portalNode&&(this.portalNode.remove(),document.removeEventListener("keydown",this.onDocumentKeydown),this.bodyStyle?document.body.setAttribute("style",this.bodyStyle):document.body.removeAttribute("style"))},s.onOpen=function(){var e=this.props.focusOnOpen||null;if(!e){var t=this.dialog?ut(this.dialog):[];e=t.length?t[0]:null}e||(e=this.header||this.content)&&e.setAttribute("tabIndex","-1"),e&&e.focus(),this.updateLength(),this.stickyObserver&&(this.header&&this.stickyObserver.observe(this.header),this.footer&&this.stickyObserver.observe(this.footer)),document.addEventListener("keydown",this.onDocumentKeydown);var n=Math.abs(window.innerWidth-document.documentElement.clientWidth);document.body.style.overflow="hidden",document.body.style.paddingRight=n+"px",document.addEventListener("pointerup",this.onPointerUpClick)},s.onClose=function(){var e=this.state.trigger;this.stickyObserver&&(this.header&&this.stickyObserver.unobserve(this.header),this.footer&&this.stickyObserver.unobserve(this.footer)),document.removeEventListener("keydown",this.onDocumentKeydown),e&&e.focus(),this.bodyStyle?document.body.setAttribute("style",this.bodyStyle):document.body.removeAttribute("style")},s.createPortalNode=function(){var e=this.props.portalClass,t=void 0===e?this.baseName+"__"+n.bemElements.portal:e,r=document.createElement("div");return r.className=t,r},s.render=function(){return O&&this.portalNode?p.createPortal(this.Dialog,this.portalNode):null},i=n,(o=[{key:"CloseButton",get:function(){var t=this.props,r=t.closeButtonClass;return t.hideCloseButton?null:/*#__PURE__*/e.createElement(ke,{icon:"close",className:d(void 0===r?this.baseName+"__"+n.bemElements.closeButton:r,"button--base"),onClick:this.requestClose},"Close")}},{key:"Title",get:function(){var t=this.props,r=t.titleClass;return t.hideTitle?null:/*#__PURE__*/e.createElement("h2",{className:void 0===r?this.baseName+"__"+n.bemElements.title:r,id:this.titleId},t.title)}},{key:"Header",get:function(){var t,r=this,a=this.props,i=a.headerClass,o=void 0===i?this.baseName+"__"+n.bemElements.header:i,s=a.stickyHeader;if(!this.Title&&!this.CloseButton)return null;var l=this.state,c=l.stuckHeader,u=d(o,((t={})[o+"--sticky"]=s&&l.long,t["nds-stuck"]=s&&c,t));/*#__PURE__*/return e.createElement("header",{className:u,ref:function(e){r.header=e}},this.Title,this.CloseButton)}},{key:"ActionBar",get:function(){var t,r=this,a=this.props,i=a.actionBarClass,o=void 0===i?this.baseName+"__"+n.bemElements.actionBar:i,s=a.stickyActionBar,l=a.actions;if(!l)return null;var c=this.state,u=c.stuckFooter,m=d(o,((t={})[o+"--sticky"]=s&&c.long,t["nds-stuck"]=s&&u,t));/*#__PURE__*/return e.createElement("footer",{className:m,ref:function(e){r.footer=e}},l)}},{key:"Dialog",get:function(){var t,r=this,a=this.props,i=a.title,o=a.hideTitle,s=a.children,l=a.contentClass,c=void 0===l?this.baseName+"__"+n.bemElements.content:l,u=a.backdropClass,m=void 0===u?this.baseName+"__"+n.bemElements.backdrop:u,f=this.state,v=f.long;if(!f.isOpen)return null;var h=d(this.baseName,a.className),p=o?{"aria-label":i}:{"aria-labelledby":this.titleId};/*#__PURE__*/return e.createElement("section",{className:d(m,(t={},t[this.baseName+"--long"]=v,t)),onClick:this.onBackdropClick},/*#__PURE__*/e.createElement(ft,y({modal:!0,id:this.id,className:h,ref:function(e){r.dialog=e},onPointerDown:this.onPointerDownClick},p),this.Header,/*#__PURE__*/e.createElement("section",{className:c,ref:function(e){r.content=e}},s),this.ActionBar))}}])&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,N(r.key),r)}}(i.prototype,o),Object.defineProperty(i,"prototype",{writable:!1}),i}(e.PureComponent);vt.bemBase="nds-modal",vt.bemElements={portal:"portal",backdrop:"backdrop",header:"header",title:"title",closeButton:"close",content:"content",actionBar:"actionbar"},vt.defaultProps={isOpen:!1,mountPoint:function(){return document.body},hideTitle:!1,closeOnBackdropClick:!0,closeOnEscape:!0};var ht,pt=["isOpen","transition","reference","arrowElement","distance","boundary","placement","modifiers","strategy","onFirstUpdate","hideDelay","showDelay","onRequestOpen","onRequestClose","title","hideTitle","hideCloseButton","actions","baseName","headerClass","titleClass","closeButtonClass","bodyClass","actionBarClass","arrowClass","onClose","onOpen","children","className","aria-labelledby","aria-label"],bt=e.forwardRef(function(t,n){var r=t.isOpen,a=t.transition,i=void 0===a?"fade":a,o=t.reference,s=t.arrowElement,l=t.distance,c=t.boundary,u=t.placement,m=void 0===u?"top":u,f=t.modifiers,v=t.strategy,h=t.onFirstUpdate,p=t.hideDelay,b=void 0===p?300:p,g=t.showDelay,E=t.onRequestOpen,w=t.onRequestClose,N=t.title,x=t.hideTitle,_=t.hideCloseButton,k=t.actions,O=t.baseName,S=void 0===O?"nds-popover":O,L=t.headerClass,M=void 0===L?S+"__header":L,D=t.titleClass,P=void 0===D?S+"__title":D,T=t.closeButtonClass,z=void 0===T?S+"__close":T,A=t.bodyClass,B=void 0===A?S+"__body":A,H=t.actionBarClass,F=void 0===H?S+"__actions":H,V=t.arrowClass,U=t.onClose,K=void 0===U?function(e){e&&o instanceof HTMLElement&&o.focus()}:U,j=t.onOpen,W=void 0===j?function(e){e&&e.focus()}:j,G=t.children,Y=t.className,Z=t["aria-labelledby"],$=t["aria-label"],Q=C(t,pt),J=I(n),X=J[0],ee=J[1],te=R(),ne=e.useRef(!0),re=e.useRef(r),ae=e.useCallback(function(e){ne.current="click.external"!==e,w&&w(e)},[w]);q({reference:o,popper:X,trigger:"click",isOpen:r,hideDelay:b,showDelay:g,onRequestClose:ae,onRequestOpen:function(e){E&&E(e)}});var ie=e.useMemo(function(){return!x&&N||!_?/*#__PURE__*/e.createElement("header",{className:M},!x&&N&&/*#__PURE__*/e.createElement("div",{className:P,id:te},N),!_&&/*#__PURE__*/e.createElement(xe,{icon:"close",iconOnly:!0,className:z,onClick:function(){return ae("click.internal")},tooltipProps:{placement:"left"}},"Close")):null},[ae,z,M,_,x,N,P,te]),oe=e.useMemo(function(){return k?/*#__PURE__*/e.createElement("footer",{className:F},k):null},[F,k]);e.useEffect(function(){!re.current&&r&&X&&(W(X),re.current=!0),re.current&&!r&&(K(ne.current),re.current=!1)},[r,K,W,X]);var se=e.useMemo(function(){return Z?{"aria-labelledby":Z}:$?{"aria-label":$}:x?{"aria-label":N}:{"aria-labelledby":te}},[$,Z,x,N,te]);return G?/*#__PURE__*/e.createElement(ve,y({className:d(S,Y),"data-no-title":x||!N?"":void 0,role:"dialog","aria-modal":"false"},se,{tabIndex:-1,isOpen:r,transition:i,reference:o,arrowElement:s||V,distance:l,boundary:c,placement:m,modifiers:f,strategy:v,onFirstUpdate:h,enableArrow:!0,ref:ee},Q),ie,/*#__PURE__*/e.createElement("section",{className:B},G),oe):null}),gt=["progress","max","children"],Et=e.forwardRef(function(t,n){var r=t.progress,a=t.max,i=void 0===a?1:a,o=t.children,s=C(t,gt);/*#__PURE__*/return e.createElement("div",y({ref:n},s,{role:"progressbar","aria-valuenow":r,"aria-valuemax":i,"aria-valuemin":0}),o)}),yt=["progress","buffer","reversed","className"],Ct=e.forwardRef(function(t,a){var i=t.progress,o=t.buffer,s=t.reversed,l=t.className,c=C(t,yt),u=I(a),m=u[0],f=u[1],v=r(),h=v[0],p=v[1],b=d(l,"mdc-linear-progress",{"mdc-linear-progress--indeterminate":void 0===i,"mdc-linear-progress--reversed":s});return M(function(){m&&p(new E(m))},[m]),n(function(){void 0!==o&&h&&(h.buffer=o)},[o,h]),n(function(){h&&(void 0!==i&&(h.progress=i),h.determinate=void 0!==i)},[i,h]),/*#__PURE__*/e.createElement(Et,y({className:b,progress:i,dir:s?"rtl":void 0,max:1,ref:f},c),/*#__PURE__*/e.createElement("div",{className:"mdc-linear-progress__buffer"},/*#__PURE__*/e.createElement("div",{className:"mdc-linear-progress__buffer-bar"}),/*#__PURE__*/e.createElement("div",{className:"mdc-linear-progress__buffer-dots"})),/*#__PURE__*/e.createElement("div",{className:"mdc-linear-progress__bar mdc-linear-progress__primary-bar"},/*#__PURE__*/e.createElement("span",{className:"mdc-linear-progress__bar-inner"})),/*#__PURE__*/e.createElement("div",{className:"mdc-linear-progress__bar mdc-linear-progress__secondary-bar"},/*#__PURE__*/e.createElement("span",{className:"mdc-linear-progress__bar-inner"})))}),wt=["size","strokeWidth","progress","className"],Nt={cy:24,cx:24,r:18},xt=113.097,_t={"aria-hidden":!0,viewBox:"0 0 48 48",xmlns:"http://www.w3.org/2000/svg"},kt=e.forwardRef(function(t,n){var r=t.size,a=void 0===r?"2rem":r,i=t.strokeWidth,o=void 0===i?4:i,s=t.progress,l=t.className,c=C(t,wt),u=void 0!==s,m=d(l,"mdc-circular-progress",{"mdc-circular-progress--indeterminate":!u});/*#__PURE__*/return e.createElement(Et,y({className:m,progress:s,max:1,style:{width:a,height:a},ref:n},c),u?/*#__PURE__*/e.createElement("div",{className:"mdc-circular-progress__determinate-container"},/*#__PURE__*/e.createElement("svg",y({className:"mdc-circular-progress__determinate-circle-graphic"},_t),/*#__PURE__*/e.createElement("circle",y({className:"mdc-circular-progress__determinate-track"},Nt,{strokeWidth:o})),/*#__PURE__*/e.createElement("circle",y({className:"mdc-circular-progress__determinate-circle"},Nt,{strokeDasharray:xt,strokeDashoffset:s?(1-s)*(2*Math.PI*Number(Nt.r)):xt,strokeWidth:o})))):/*#__PURE__*/e.createElement("div",{className:"mdc-circular-progress__indeterminate-container"},/*#__PURE__*/e.createElement("div",{className:"mdc-circular-progress__spinner-layer"},/*#__PURE__*/e.createElement("div",{className:"mdc-circular-progress__circle-clipper mdc-circular-progress__circle-left"},/*#__PURE__*/e.createElement("svg",y({className:"mdc-circular-progress__indeterminate-circle-graphic"},_t),/*#__PURE__*/e.createElement("circle",y({},Nt,{strokeDasharray:xt,strokeDashoffset:56.5485,strokeWidth:o})))),/*#__PURE__*/e.createElement("div",{className:"mdc-circular-progress__gap-patch"},/*#__PURE__*/e.createElement("svg",y({className:"mdc-circular-progress__indeterminate-circle-graphic"},_t),/*#__PURE__*/e.createElement("circle",y({},Nt,{strokeDasharray:xt,strokeDashoffset:56.5485,strokeWidth:.8*o})))),/*#__PURE__*/e.createElement("div",{className:"mdc-circular-progress__circle-clipper mdc-circular-progress__circle-right"},/*#__PURE__*/e.createElement("svg",y({className:"mdc-circular-progress__indeterminate-circle-graphic"},_t),/*#__PURE__*/e.createElement("circle",y({},Nt,{strokeDasharray:xt,strokeDashoffset:56.5485,strokeWidth:o})))))))}),Ot=["label","hideLabel","size","baseName","labelClass","className"],St=e.forwardRef(function(t,n){var r=t.label,a=t.hideLabel,i=t.size,o=t.baseName,s=void 0===o?"nds-progressbar":o,l=t.labelClass,c=void 0===l?s+"__label":l,u=t.className,m=C(t,Ot),f=R(),v=d(u,s,i&&s+"--"+i);/*#__PURE__*/return e.createElement("div",{className:v},/*#__PURE__*/e.createElement(Ct,y({ref:n,"aria-labelledby":a?void 0:f,"aria-label":a?r:void 0},m)),!a&&/*#__PURE__*/e.createElement("div",{className:c,id:f,"aria-hidden":"true"},r))}),It=e.forwardRef(function(t,n){/*#__PURE__*/return e.createElement(qe,y({type:"radio",ref:n},t))}),Lt=function(t){/*#__PURE__*/return e.createElement(We,y({multiple:!1},t))},Mt="nds-response-indicator",Dt={icon:Mt+"__icon",labelBackground:Mt+"__label-background",label:Mt+"__label"},Pt=function(t){var n,r=t.variant,a=void 0===r?"correct":r,i=t.id,o=t.label,s=t.withIcon,l=void 0===s||s,c=t.placementIcon,u=void 0===c?"left":c,m=t.className,f=R(),v=i||f,h=d(Mt,Mt+"--"+a,((n={})[Mt+"--"+u]=l,n),m);/*#__PURE__*/return e.createElement("div",{className:h},l&&/*#__PURE__*/e.createElement(ge,{className:Dt.icon,variant:"correct"===a?"check-circle":"cancel"}),/*#__PURE__*/e.createElement("div",{className:Dt.labelBackground},/*#__PURE__*/e.createElement("span",{id:v,className:Dt.label,"aria-label":o||a},o||a)))},Tt=["label","color","baseName","labelClass","labelPosition","hideLabel","size","className"],zt=e.forwardRef(function(t,n){var r,a=t.label,i=void 0===a?"Loading...":a,o=t.color,s=t.baseName,l=void 0===s?"nds-spinner":s,c=t.labelClass,u=void 0===c?l+"__label":c,m=t.labelPosition,f=void 0===m?"right":m,v=t.hideLabel,h=t.size,p=void 0===h?"3rem":h,b=t.className,g=C(t,Tt),E=R(),w=v?void 0:f,N=d(b,l,((r={})[l+"--"+o]=void 0!==o,r));/*#__PURE__*/return e.createElement("div",{className:N,"data-label":v?void 0:w},/*#__PURE__*/e.createElement(kt,y({ref:n,"aria-labelledby":v?void 0:E,"aria-label":v?i:void 0,size:p},g)),!v&&/*#__PURE__*/e.createElement("div",{className:u,id:E,"aria-hidden":"true"},i))}),Rt=["baseName","isConnected","className","children"],At=e.forwardRef(function(t,n){var r,a=t.baseName,i=void 0===a?"nds-step-indicator":a,o=t.isConnected,s=t.className,l=t.children,c=C(t,Rt),u=d(s,i,((r={})[i+"--connected"]=o,r));return l?/*#__PURE__*/e.createElement("ol",y({className:u},c,{ref:n}),l):null}),Bt=["baseName","markerContainerClass","markerClass","contentsClass","className","children","isCompleted","isCurrent"],Ht=e.forwardRef(function(t,n){var r,a=t.baseName,i=void 0===a?"nds-step":a,o=t.markerContainerClass,s=void 0===o?i+"__marker-container":o,l=t.markerClass,c=void 0===l?i+"__marker":l,u=t.contentsClass,m=void 0===u?i+"__content":u,f=t.className,v=t.children,h=t.isCompleted,p=t.isCurrent,b=C(t,Bt),g=d(i,f),E=d(c,((r={})[c+"--complete"]=h,r[c+"--incomplete"]=!h,r[c+"--current"]=p,r)),w=h?"complete":"incomplete";/*#__PURE__*/return e.createElement("li",y({className:g},b,{ref:n,"aria-current":p?"step":void 0}),/*#__PURE__*/e.createElement("div",{className:s},/*#__PURE__*/e.createElement("div",{className:E},h&&/*#__PURE__*/e.createElement(ge,{variant:"check-circle",role:"none"}))),/*#__PURE__*/e.createElement("div",{className:m},v,/*#__PURE__*/e.createElement("span",{className:"nds-sr-only"}," "+w)))}),Ft=["baseName","labelClass","descriptionClass","checked","tooltipProps","children","className","description","disabled","displayDefault","label","tipped","id","labelId","descriptionId","onClick","onToggle"],Vt=e.forwardRef(function(t,n){var r=t.baseName,a=void 0===r?"nds-switch":r,i=t.labelClass,o=t.descriptionClass,s=t.checked,l=void 0!==s&&s,c=t.tooltipProps,u=t.children,m=t.className,f=t.description,v=t.disabled,h=t.displayDefault,p=void 0===h||h,b=t.label,g=t.tipped,E=t.id,w=t.labelId,N=t.descriptionId,x=t.onClick,_=t.onToggle,k=C(t,Ft),O=e.useState(l),S=O[0],L=O[1],M=e.useState("OFF"),D=M[0],P=M[1],T=e.useRef(S),z=I(n),A=z[0],B=z[1],H=R(),F=E||H,V=w||F+"-label",q=N||F+"-desc";e.useEffect(function(){return L(l)},[l]),e.useEffect(function(){P(S?"ON":"OFF"),_&&S!==T.current&&_(S),T.current=S},[S,_]);var U=g?/*#__PURE__*/e.createElement(pe,y({asLabel:!0,reference:A},c),b):/*#__PURE__*/e.createElement(Fe,{htmlFor:F,label:b,labelClass:i,labelId:V,description:f,descriptionClass:o,descriptionId:q}),K=g?k:y({id:F,"aria-labelledby":F+"-label"},k);/*#__PURE__*/return e.createElement("div",{className:a},U,/*#__PURE__*/e.createElement(xe,y({"aria-checked":S?"true":"false",className:d(a+"__control",m),disabled:v,onClick:function(e){x?x(e):L(!S)},ref:B,role:"switch"},K),u||(p?D:void 0)))});function qt(e){switch(e){case ht.ASC:return"ascending";case ht.DESC:return"descending";default:return}}!function(e){e[e.DESC=0]="DESC",e[e.NONE=1]="NONE",e[e.ASC=2]="ASC"}(ht||(ht={}));var Ut=["order","onSort","children"],Kt=function(t){var n,r,a=t.direction,i=t.onClick,o=t.children,s=R(),l=d("nds-table-sort-button__icon",((n={})["nds-table-sort-button__icon--asc"]=a===ht.ASC,n["nds-table-sort-button__icon--desc"]=a===ht.DESC,n));switch(a){case ht.DESC:r=/*#__PURE__*/e.createElement(ge,{size:"1rem",variant:"caret-down"});break;case ht.ASC:r=/*#__PURE__*/e.createElement(ge,{size:"1rem",variant:"caret-up"});break;default:r=/*#__PURE__*/e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement(ge,{viewBox:"6 6 12 12",width:"0.9rem",height:"0.4rem",style:{width:"0.9rem"},variant:"caret-up"}),/*#__PURE__*/e.createElement(ge,{viewBox:"6 6 12 12",width:"0.9rem",height:"0.4rem",style:{width:"0.9rem"},variant:"caret-down"}))}/*#__PURE__*/return e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement("span",{"aria-labelledby":s,className:"nds-table-sort-button-a11y-name"}),/*#__PURE__*/e.createElement("button",{id:s,className:"nds-table-sort-button",type:"button",onClick:i},o,/*#__PURE__*/e.createElement("div",{className:l},r)))},jt=e.forwardRef(function(t,n){var r=t.order,a=t.onSort,i=t.children,o=C(t,Ut),s=i;return a&&(s=/*#__PURE__*/e.createElement(Kt,{direction:r,onClick:a},i)),/*#__PURE__*/e.createElement("th",y({ref:n},o,{"aria-sort":qt(r)}),s)});function Wt(e,t){return e<t?-1:e>t?1:0}function Gt(e){var t=e.colIdx,n=e.headers,r=e.direction,a=e.rows;if(r===ht.NONE)return[].concat(a).sort(function(e,t){return e.order-t.order});var i=0===r?-1:1,o=n[t].sorter||Wt;return[].concat(a).sort(function(e,n){return o(e.cells[t].value,n.cells[t].value)*i})}var Yt=e.createContext(null),Zt=function(n){var a=n.children,i=r({colId:"",direction:ht.NONE,headers:[],rows:[]}),o=i[0],c=i[1],d=s(new Set),u=l(function(e){c(function(t){return t.headers.some(function(t){return t.colId===e.colId})?t:(t.headers.push(e),y({},t,{headers:t.headers}))})},[]),m=l(function(e){d.current.add(e)},[]),f=l(function(e){var t=[].concat(d.current);d.current=new Set,c(function(n){if(t.length!==n.headers.length&&console.warn("Cells count does not match headers count for row "+n.rows.length),n.rows.some(function(t){return t.id===e}))return n;var r=[].concat(n.rows);return r.push({id:e,cells:t,order:n.rows.length}),y({},n,{rows:r})})},[]),v=l(function(e){c(function(t){var n=ht.ASC;e===t.colId&&(n=(t.direction+1)%3);var r=o.headers.findIndex(function(t){return t.colId===""+e});return-1===r?(console.warn("Column "+e+" not found"),t):y({},t,{direction:n,colId:e,rows:Gt({colIdx:r,rows:o.rows,direction:n,headers:o.headers})})})},[o]),h=l(function(e){return o.colId===e?o.direction:1},[o]),p=l(function(e,t){c(function(n){var r,a=null==(r=o.headers[e])?void 0:r.colId;return a?y({},n,{direction:t,colId:a,rows:Gt({colIdx:e,rows:o.rows,headers:o.headers,direction:t})}):(console.warn("Column "+e+" not found"),n)})},[o]),b=t(function(){return{data:o,registerHeader:u,registerRow:f,registerCell:m,onSort:v,setSort:p,getDirection:h}},[o,u,f,m,v,p,h]);/*#__PURE__*/return e.createElement(Yt.Provider,{value:b},a)};function $t(){return o(Yt)}var Qt=function(t){var r=$t(),a=R();return n(function(){r&&r.registerRow(a||"")},[]),/*#__PURE__*/e.createElement("tr",t)},Jt=["header","children"],Xt=e.forwardRef(function(t,n){var r=t.header,a=t.children,i=C(t,Jt),o=null;return r&&(o=/*#__PURE__*/e.createElement("div",{className:"nds-table-cell__header","aria-hidden":!0},r)),/*#__PURE__*/e.createElement("td",y({role:"none",ref:n},i),o,/*#__PURE__*/e.createElement("div",{role:"cell",className:"nds-table-cell__content"},a))}),en=["children"],tn=function(t){var n=t.children,r=C(t,en);/*#__PURE__*/return e.createElement("thead",r,/*#__PURE__*/e.createElement("tr",null,n))},nn=["children"],rn=function(t){var n=t.children,r=C(t,nn),a=$t();if(!a||0===a.data.rows.length)/*#__PURE__*/return e.createElement("tbody",r,n);var i=e.Children.toArray(n),o=a.data.rows.map(function(e){return i[e.order]});/*#__PURE__*/return e.createElement("tbody",r,o)},an=["cellPadding","borders","isNotStriped","variant","color","className","stickyHeader"],on=c(function(t,n){var r,a=t.cellPadding,i=void 0===a?"base":a,o=t.borders,s=void 0===o?"all":o,l=t.isNotStriped,c=void 0!==l&&l,u=t.variant,m=void 0===u?"solid":u,f=t.color,v=void 0===f?"navy":f,h=t.className,p=t.stickyHeader,b=void 0!==p&&p,g=C(t,an),E=d("nds-table",((r={})["nds-table--cell-"+i]=!!i,r["nds-table--borders-"+s]=!!s,r["nds-table--"+m]=!!m,r["nds-table--"+v]=!!v,r["nds-table--striped"]=!c,r["nds-table--sticky"]=b,r),h);/*#__PURE__*/return e.createElement("table",y({ref:n,className:E},g))}),sn=["headersData","rowsData","headers","rows"],ln=c(function(n,r){var a=n.headersData,i=n.rowsData,o=n.headers,s=n.rows,l=C(n,sn),c=t(function(){return o||a.map(function(t,n){/*#__PURE__*/return e.createElement(jt,{key:n},t.children)})},[a,o]),d=t(function(){return s||i.map(function(t,n){/*#__PURE__*/return e.createElement(Qt,{key:n},t.map(function(t,n){var r;return r=t.wrapper?t.wrapper(t.value):""+t.value,/*#__PURE__*/e.createElement(Xt,{header:n>0?a[n].children:void 0,key:n},r)}))})},[a,s,i]);/*#__PURE__*/return e.createElement(on,y({ref:r},l),/*#__PURE__*/e.createElement(tn,null,c),/*#__PURE__*/e.createElement(rn,null,d))});function cn(e){switch(e){case"asc":return ht.ASC;case"desc":return ht.DESC;default:return ht.NONE}}var dn="nds-table-xs-sort-controls",un={base:dn,label:dn+"__label"},mn=function(n){var r=n.onChange,a=n.options,i=t(function(){var t="0|none";return a.reduce(function(t,n,r){var a=r+"|asc",i=r+"|desc";return t.push(/*#__PURE__*/e.createElement(st.Option,{key:a,value:a},n,": Ascending")),t.push(/*#__PURE__*/e.createElement(st.Option,{key:i,value:i},n,": Descending")),t},[/*#__PURE__*/e.createElement(st.Option,{key:t,value:t},"None")])},[a]),o=l(function(e){var t=e.value;if("string"==typeof t){var n=t.split("|"),a=n[0],i=cn(n[1]);r(parseInt(a,10),i)}},[r]);/*#__PURE__*/return e.createElement(st,{labelClass:un.label,className:un.base,label:"Sort By",onChange:o},i)};function fn(e){var t=e.colIdx,n=0===e.direction?-1:1,r=e.headers[t].sorter||Wt;return[].concat(e.rows).sort(function(e,a){return r(e[t].value,a[t].value)*n})}var vn=["data"],hn=c(function(n,a){var i=n.data,o=C(n,vn),s=r({order:1,index:0,rows:i.rows}),c=s[0],d=s[1],u=l(function(e){d(function(t){var n=2;return e===t.index&&(n=(t.order+1)%3),1===n?{order:n,index:e,rows:i.rows}:{order:n,index:e,rows:fn({colIdx:e,rows:i.rows,headers:i.headers,direction:n})}})},[i]),m=t(function(){return i.headers.map(function(t,n){/*#__PURE__*/return e.createElement(jt,{key:n,order:c.index===n?c.order:1,onSort:function(){return u(n)}},t.children)})},[i.headers,u,c.index,c.order]),f=t(function(){return i.headers.map(function(e){return e.children})},[i.headers]),v=l(function(e,t){d({order:t,index:e,rows:fn({colIdx:e,rows:i.rows,headers:i.headers,direction:t})})},[i.headers,i.rows]);/*#__PURE__*/return e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement(mn,{onChange:v,options:f}),/*#__PURE__*/e.createElement(ln,y({ref:a,headersData:i.headers,rowsData:c.rows,headers:m},o)))});function pn(e){switch(e){case ht.ASC:return"asc";case ht.DESC:return"desc";default:return}}var bn=["data","onSort"],gn=c(function(n,r){var a=n.data,i=n.onSort,o=C(n,bn),s=t(function(){return a.headers.map(function(t,n){var r=cn(t.sorted),a=(r+1)%3;/*#__PURE__*/return e.createElement(jt,{key:n,order:r,onSort:function(){return i(n,pn(a))}},t.children)})},[a.headers,i]),c=l(function(e,t){i(e,pn(t))},[i]),d=t(function(){return a.headers.map(function(e){return e.children})},[a.headers]);/*#__PURE__*/return e.createElement(e.Fragment,null,/*#__PURE__*/e.createElement(mn,{onChange:c,options:d}),/*#__PURE__*/e.createElement(ln,y({ref:r,headersData:a.headers,rowsData:a.rows,headers:s},o)))}),En=["data","isSortable","onSort"],yn=c(function(t,n){var r=t.data,a=t.isSortable,i=t.onSort,o=C(t,En);return a?i?/*#__PURE__*/e.createElement(gn,y({ref:n,data:r,onSort:i},o)):/*#__PURE__*/e.createElement(hn,y({ref:n,data:r},o)):/*#__PURE__*/e.createElement(ln,y({ref:n,rowsData:r.rows,headersData:r.headers},o))}),Cn=e.createContext({headers:[],registerHeader:function(){}}),wn=function(n){var a=n.children,i=r([]),o=i[0],s=i[1],c=l(function(e,t){s(function(n){return n.some(function(e){return e.el===t})?n:[].concat(n,[{colId:e,el:t,text:t.textContent||"HEADER_NO_TITLE"}])})},[]),d=t(function(){return{headers:o,registerHeader:c}},[o,c]);/*#__PURE__*/return e.createElement(Cn.Provider,{value:d},a)},Nn=e.createContext(null),xn=function(n){var r,a=n.onSort,i=n.children,s=(r=o(Cn),l(function(e){return r.headers.findIndex(function(t){return t.colId===e})},[r.headers])),c=l(function(e,t){var n;if("string"==typeof e){if(-1===(n=s(e)))return void console.warn("Header with id "+e+" not found")}else n=e;a(n,pn(t))},[s,a]),d=t(function(){return{onSort:c}},[c]);/*#__PURE__*/return e.createElement(Nn.Provider,{value:d},i)};function _n(){var e;return null==(e=o(Nn))?void 0:e.onSort}var kn=function(){var n=o(Cn).headers.map(function(e){return e.text}),r=_n(),a=$t(),i=t(function(){if(r)return r;if(a)return a.setSort;throw new Error("No SortingContext found.")},[r,a]);/*#__PURE__*/return e.createElement(mn,{options:n,onChange:i})},On=c(function(t,n){/*#__PURE__*/return e.createElement(Zt,null,/*#__PURE__*/e.createElement(kn,null),/*#__PURE__*/e.createElement(on,y({ref:n},t)))}),Sn=["onSort"],In=c(function(t,n){var r=t.onSort,a=C(t,Sn);/*#__PURE__*/return e.createElement(xn,{onSort:r},/*#__PURE__*/e.createElement(kn,null),/*#__PURE__*/e.createElement(on,y({ref:n},a)))}),Ln=["isSortable","onSort"],Mn=c(function(t,n){var r,a=t.isSortable,i=t.onSort,o=C(t,Ln);return r=a?i?/*#__PURE__*/e.createElement(In,y({ref:n,onSort:i},o)):/*#__PURE__*/e.createElement(On,y({ref:n},o)):/*#__PURE__*/e.createElement(on,y({ref:n},o)),/*#__PURE__*/e.createElement(wn,null,r)}),Dn=["data"],Pn=c(function(t,n){var r=t.data,a=C(t,Dn);return r?/*#__PURE__*/e.createElement(yn,y({ref:n,data:r},a)):/*#__PURE__*/e.createElement(Mn,y({ref:n},a))}),Tn=["sorter","children","sorted"],zn=function(r){var a=r.sorter,i=r.children,l=r.sorted,c=C(r,Tn),d=R()||"",u=$t(),m=s(null);!function(e,t){var r=o(Cn);n(function(){if(e){var n=t.current;n&&r.registerHeader(e,n)}},[])}(d,m),n(function(){u&&u.registerHeader({colId:d,sorter:a})},[]);var f=_n(),v=t(function(){return f?cn(l):null==u?void 0:u.getDirection(d)},[f,u,d,l]),h=t(function(){return f?function(){return f(d,(void 0===(e=v)&&(e=ht.NONE),(e+1)%3));var e}:u?function(){return u.onSort(d)}:void 0},[f,u,d,v]);/*#__PURE__*/return e.createElement(jt,y({ref:m},c,{order:v,onSort:h}),i)},Rn=["value"],An=function(t){var a=t.value,i=C(t,Rn),l=s(null),c=$t(),d=s({value:a||""});n(function(){var e;c&&(a||(d.current.value=(null==(e=l.current)?void 0:e.textContent)||""),c.registerCell(d.current))},[]);var u=r(-1),m=u[0],f=u[1],v=function(e){var t;return(null==(t=o(Cn).headers[e])?void 0:t.text)||""}(m);return 0===m&&(v=void 0),n(function(){var e;l.current&&f((e=l.current,Array.from(e.parentElement.children).indexOf(e)))},[]),/*#__PURE__*/e.createElement(Xt,y({ref:l,header:v},i))};function Bn(e){return e.sort(function(e,t){var n=e.compareDocumentPosition(t);if(n&Node.DOCUMENT_POSITION_FOLLOWING||n&Node.DOCUMENT_POSITION_CONTAINED_BY)return-1;if(n&Node.DOCUMENT_POSITION_PRECEDING||n&Node.DOCUMENT_POSITION_CONTAINS)return 1;if(n&Node.DOCUMENT_POSITION_DISCONNECTED||n&Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC)throw Error("Cannot sort the given nodes.");return 0})}function Hn(e,t,n){var r=e+1;return n&&r>=t&&(r=0),r}function Fn(e,t,n){var r=e-1;return n&&r<0&&(r=t),r}var Vn="undefined"!=typeof window?a:n;function qn(){var e=arguments;return function(t){[].slice.call(e).forEach(function(e){!function(e,t){if(null!=e)if("function"!=typeof e)try{e.current=t}catch(n){throw new Error("Cannot assign value '"+t+"' to ref '"+e+"'")}else e(t)}(e,t)})}}var Un=function(){var e=this;this.descendants=new Map,this.register=function(t){var n;if(null!=t)return"object"==typeof(n=t)&&"nodeType"in n&&n.nodeType===Node.ELEMENT_NODE?e.registerNode(t):function(n){e.registerNode(n,t)}},this.unregister=function(t){e.descendants.delete(t);var n=Bn(Array.from(e.descendants.keys()));e.assignIndex(n)},this.destroy=function(){e.descendants.clear()},this.assignIndex=function(t){e.descendants.forEach(function(e){var n=t.indexOf(e.node);e.index=n,e.node.dataset.index=e.index.toString()})},this.count=function(){return e.descendants.size},this.enabledCount=function(){return e.enabledValues().length},this.values=function(){return Array.from(e.descendants.values()).sort(function(e,t){return e.index-t.index})},this.enabledValues=function(){return e.values().filter(function(e){return!e.disabled})},this.item=function(t){if(0!==e.count())return e.values()[t]},this.enabledItem=function(t){if(0!==e.enabledCount())return e.enabledValues()[t]},this.first=function(){return e.item(0)},this.firstEnabled=function(){return e.enabledItem(0)},this.last=function(){return e.item(e.descendants.size-1)},this.lastEnabled=function(){var t=e.enabledValues().length-1;return e.enabledItem(t)},this.indexOf=function(t){var n,r;return t&&null!=(n=null==(r=e.descendants.get(t))?void 0:r.index)?n:-1},this.enabledIndexOf=function(t){return null==t?-1:e.enabledValues().findIndex(function(e){return e.node.isSameNode(t)})},this.next=function(t,n){void 0===n&&(n=!0);var r=Hn(t,e.count(),n);return e.item(r)},this.nextEnabled=function(t,n){void 0===n&&(n=!0);var r=e.item(t);if(r){var a=Hn(e.enabledIndexOf(r.node),e.enabledCount(),n);return e.enabledItem(a)}},this.prev=function(t,n){void 0===n&&(n=!0);var r=Fn(t,e.count()-1,n);return e.item(r)},this.prevEnabled=function(t,n){void 0===n&&(n=!0);var r=e.item(t);if(r){var a=Fn(e.enabledIndexOf(r.node),e.enabledCount()-1,n);return e.enabledItem(a)}},this.registerNode=function(t,n){if(t&&!e.descendants.has(t)){var r=Bn(Array.from(e.descendants.keys()).concat(t));null!=n&&n.disabled&&(n.disabled=!!n.disabled);var a=y({node:t,index:-1},n);e.descendants.set(t,a),e.assignIndex(r)}}},Kn=function(e){void 0===e&&(e={});var t=e.name,n=e.strict,r=void 0===n||n,a=e.hookName,s=void 0===a?"useContext":a,l=e.providerName,c=void 0===l?"Provider":l,d=e.errorMessage,u=i(e.defaultValue);return u.displayName=t,[u.Provider,function e(){var t=o(u);if(!t&&r){var n=new Error(null!=d?d:s+" returned `undefined`. Seems you forgot to wrap component within "+c);throw n.name="ContextError",null==Error.captureStackTrace||Error.captureStackTrace(n,e),n}return t},u]}({name:"DescendantsProvider",errorMessage:"useDescendantsContext must be used within DescendantsProvider"}),jn=Kn[0],Wn=Kn[1];function Gn(){return[jn,function(){return Wn()},function(){return e=s(new Un),Vn(function(){return function(){return e.current.destroy()}}),e.current;var e},function(e){return function(e){var t=Wn(),n=r(-1),a=n[0],i=n[1],o=s(null);Vn(function(){return function(){o.current&&t.unregister(o.current)}},[]),Vn(function(){if(o.current){var e=Number(o.current.dataset.index);a===e||Number.isNaN(e)||i(e)}});var l=e?t.register(e):t.register;return{descendants:t,index:a,enabledIndex:t.enabledIndexOf(o.current),register:qn(l,o)}}(e)}]}var Yn=["defaultSelectedIndex"],Zn=["onChange","selectedIndex"],$n=e.createContext(null);function Qn(e){var n=e.align,r=e.idPrefix,a=e.variant,i=R(),o=r||i;return t(function(){return{idPrefix:o,align:n||"left",variant:a||"contained"}},[n,o,a])}function Jn(){var t=e.useContext($n);if(!t)throw new Error("TabsContext not initialized");return t}function Xn(e){return Jn().idPrefix+"-tab-"+e}function er(e){return Jn().idPrefix+"-tab-panel-"+e}var tr=Gn(),nr=tr[0],rr=tr[2],ar=tr[3],ir=Gn(),or=ir[0],sr=ir[2],lr=ir[3],cr=["children","className"],dr=["children","className"],ur=e.forwardRef(function(n,r){var a,i,o,s,l=n.children,c=n.className,d=void 0===c?"nds-tabs":c,u=C(n,cr),m=(i=(a=u).onChange,o=a.selectedIndex,s=Qn(C(a,Zn)),t(function(){return y({},s,{selectedTabIndex:o,setSelectedTabIndex:i})},[s,i,o]));/*#__PURE__*/return e.createElement($n.Provider,{value:m},/*#__PURE__*/e.createElement("div",{ref:r,className:d},l))}),mr=e.forwardRef(function(n,a){var i=n.children,o=n.className,s=void 0===o?"ncs-tabs":o,l=function(e){var n=e.defaultSelectedIndex,a=Qn(C(e,Yn)),i=r(n||0),o=i[0],s=i[1];return t(function(){return y({},a,{selectedTabIndex:o,setSelectedTabIndex:s})},[a,o,s])}(C(n,dr));/*#__PURE__*/return e.createElement($n.Provider,{value:l},/*#__PURE__*/e.createElement("div",{ref:a,className:s},i))}),fr=e.forwardRef(function(t,n){return function(e){return"selectedIndex"in e}(t)?/*#__PURE__*/e.createElement(ur,y({},t,{ref:n})):/*#__PURE__*/e.createElement(mr,y({},t,{ref:n}))}),vr="nds-tab-scroll-button",hr={base:vr,contained:vr+"--contained",line:vr+"--line",text:vr+"__text",previous:vr+"--previous",next:vr+"--next"},pr=function(t){var n,r=t.type,a=t.onClick,i=t.disabled,o="left"===r?"Previous":"Next",s="left"===r?"chevron-left":"chevron-right",l=Jn().variant,c=d(hr.base,((n={})[hr.contained]="contained"===l,n[hr.line]="line"===l,n[hr.previous]="left"===r,n[hr.next]="right"===r,n));return i?null:/*#__PURE__*/e.createElement(X,{className:c,onClick:a,"aria-hidden":!0,tabIndex:-1},/*#__PURE__*/e.createElement(ge,{variant:s}),/*#__PURE__*/e.createElement("span",{className:hr.text},o))},br=/*#__PURE__*/function(){function e(e){var t=this;this.tabsCache=[],this.tabList=void 0,this.handleKeyDown=function(e){switch(e.key){case"ArrowLeft":t.focusPreviousTab();break;case"ArrowRight":t.focusNextTab();break;case"Home":t.focusFirstTab();break;case"End":t.focusLastTab()}},this.tabList=e}var t=e.prototype;return t.attachListener=function(){this.tabList.addEventListener("keydown",this.handleKeyDown)},t.detachListener=function(){this.tabList.removeEventListener("keydown",this.handleKeyDown)},t.focusFirstTab=function(){this.getEnabledTabs()[0].focus()},t.focusLastTab=function(){var e=this.getEnabledTabs();e[e.length-1].focus()},t.focusNextTab=function(){var e=this.getNextIdx();-1!==e?this.tabsCache[e].focus():this.focusFirstTab()},t.focusPreviousTab=function(){var e=this.getPrevIdx();-1!==e?this.tabsCache[e].focus():this.focusLastTab()},t.getNextIdx=function(){var e=this.getEnabledTabs(),t=this.getActiveElement(),n=e.findIndex(function(e){return e===t});if(-1===n)return n;var r=n+1;return r>=e.length?0:r},t.getPrevIdx=function(){var e=this.getEnabledTabs(),t=this.getActiveElement(),n=e.findIndex(function(e){return e===t});if(-1===n)return n;var r=n-1;return r<0?e.length-1:r},t.getActiveElement=function(){return this.tabList.ownerDocument.activeElement},t.getEnabledTabs=function(){return this.tabsCache=Array.from(this.tabList.querySelectorAll(e.ENABLED_TAB_MATCHER)),this.tabsCache},e}();br.ENABLED_TAB_MATCHER='[role="tab"]:not([disabled])';var gr=function(t){var a,i=t.baseName,o=void 0===i?"nds-tab-list":i,s=t.containerClass,c=void 0===s?o+"-container":s,u=t.leftClass,m=void 0===u?o+"--left":u,f=t.centeredClass,v=void 0===f?o+"--centered":f,h=t.children,p=e.useRef(null);!function(e){n(function(){var t=e.current;if(!t)return function(){};var n=new br(t);return n.attachListener(),function(){n.detachListener()}},[e])}(p);var b=function(e,t){void 0===t&&(t=100);var n=r(!0),a=n[0],i=n[1],o=r(!1),s=o[0],c=o[1],d=l(function(e){var t;i(0===e.scrollLeft),c((t=e).scrollWidth-t.scrollLeft<=t.clientWidth)},[]);return{moveLeft:l(function(){e.current&&(a||(e.current.scrollLeft-=t,d(e.current)))},[e,a,t,d]),moveRight:l(function(){e.current&&(s||(e.current.scrollLeft+=t,d(e.current)))},[e,t,d,s]),atMinScroll:a,atMaxScroll:s}}(p),g=b.moveLeft,E=b.moveRight,y=b.atMinScroll,C=b.atMaxScroll,w=Jn().align,N=d(o,((a={})[m]="left"===w,a[v]="center"===w,a)),x=rr();/*#__PURE__*/return e.createElement(nr,{value:x},/*#__PURE__*/e.createElement("div",{className:c},/*#__PURE__*/e.createElement(pr,{type:"left",onClick:g,disabled:y}),/*#__PURE__*/e.createElement("div",{ref:p,className:N,role:"tablist"},h),/*#__PURE__*/e.createElement(pr,{type:"right",onClick:E,disabled:C})))},Er=function(t){var n,r=t.baseName,a=void 0===r?"nds-tab":r,i=t.containedClass,o=void 0===i?a+"--contained":i,s=t.lineClass,c=void 0===s?a+"--line":s,u=t.children,m=ar(),f=m.index,v=m.register,h=Jn(),p=h.variant,b=h.setSelectedTabIndex,g=f===h.selectedTabIndex,E=Xn(f),y=er(f),C=l(function(){b(f)},[f,b]),w=d(a,((n={})[o]="contained"===p,n[c]="line"===p,n.selected=g,n));/*#__PURE__*/return e.createElement(X,{ref:v,className:w,type:"button",onClick:C,role:"tab",id:E,"aria-controls":y,"aria-selected":g,tabIndex:g?0:-1},u)},yr=function(t){var n=t.children,r=sr();/*#__PURE__*/return e.createElement(or,{value:r},/*#__PURE__*/e.createElement("div",{className:"nds-tab-panels-container"},n))},Cr=['[contentEditable=true]:not([tabindex="-1"])','[tabindex]:not([tabindex="-1"])','a[href]:not([tabindex="-1"])','button:not([disabled]):not([tabindex="-1"])',"dialog",'embed:not([tabindex="-1"])','iframe:not([tabindex="-1"])','input:not([disabled]):not([tabindex="-1"])','map[name] area[href]:not([tabindex="-1"])','object:not([tabindex="-1"])','select:not([disabled]):not([tabindex="-1"])','summary:not([tabindex="-1"])','textarea:not([disabled]):not([tabindex="-1"])'],wr=function(t){var r=t.children,a=lr(),i=a.index,o=a.register,s=Jn().selectedTabIndex,l=Xn(i),c=er(i),d=i===s;return n(function(){d&&function(e){var t=document.getElementById(e);if(t){var n,r=(n=t,n.querySelectorAll(Cr.join(",")))[0];t.setAttribute("tabindex",r?"-1":"0")}}(c)},[d,c]),/*#__PURE__*/e.createElement("div",{ref:o,role:"tabpanel",hidden:!d,id:c,"aria-labelledby":l},r)},Nr=["dismissible","baseName","contentsClass","dismissClass","children","color","onDismiss","onClick","className"],xr=e.forwardRef(function(t,n){var r,a=t.dismissible,i=t.baseName,o=void 0===i?"nds-tag":i,s=t.contentsClass,l=void 0===s?o+"__contents":s,c=t.dismissClass,u=void 0===c?o+"__dismiss":c,m=t.children,f=t.color,v=t.onDismiss,h=t.onClick,p=t.className,b=C(t,Nr),g=e.useMemo(function(){return B(m)},[m]),E=d(p,o,((r={})[o+"--"+f]=void 0!==f,r[o+"--dismissible"]=!0===a,r));if(a){var w=B(m)?m.props.children:m;/*#__PURE__*/return e.createElement("span",y({className:E,ref:n},b),/*#__PURE__*/e.createElement("span",{className:l},w),/*#__PURE__*/e.createElement(X,{className:u,onClick:function(e){v?v():h&&h(e)}},/*#__PURE__*/e.createElement(ge,{variant:"close",size:"0.85em","aria-label":"Dismiss"})))}return g?/*#__PURE__*/e.createElement("span",y({className:E,ref:n},b),/*#__PURE__*/e.createElement("span",{className:l},m)):/*#__PURE__*/e.createElement(X,y({className:E,onClick:h},b),/*#__PURE__*/e.createElement("span",{className:l},m))}),_r=["multiline","autoSize","errors","validateOnChange","validateOnDOMChange","validators","maxLength","maxLengthRestrictsInput","onInput","onDOMChange","onValidate"],kr={validateOnDOMChange:!0},Or=e.forwardRef(function(t,n){var r=t.multiline,a=void 0!==r&&r,i=t.autoSize,o=void 0!==i&&i,s=t.errors,l=t.validateOnChange,c=t.validateOnDOMChange,d=void 0===c?kr.validateOnDOMChange:c,u=t.validators,m=t.maxLength,f=t.maxLengthRestrictsInput,v=void 0!==f&&f,h=t.onInput,p=t.onDOMChange,b=t.onValidate,g=C(t,_r),E=I(n),w=E[0],N=E[1],x=e.useState(s),_=x[0],k=x[1],O=Number(a)>0?Number(a):1;e.useEffect(function(){return k(s)},[s]);var S=$(u),L=e.useCallback(function(e){var t=S({maxLength:m||e.maxLength,minLength:e.minLength,required:e.required,type:e.type,value:e.value,validity:e.validity});b&&b(t),s||k(t)},[S,b,s,m]);e.useEffect(function(){o&&w&&(w.style.height="auto")},[o,w]);var D=e.useCallback(function(e){p&&p(e),d&&L(e.target)},[p,d,L]);return e.useEffect(function(){if(w&&w.willValidate){var e=_&&_.length?_.join("\n"):"";w.setCustomValidity(e)}},[w,_]),M(function(){return w&&D&&w.addEventListener("change",D),function(){w&&D&&w.removeEventListener("change",D)}},[w,D]),/*#__PURE__*/e.createElement("textarea",y({ref:N,onInput:function(e){h&&h(e),o&&w&&(w.style.height="auto",w.style.height=w.scrollHeight+"px"),l&&L(e.currentTarget)},maxLength:v?m:void 0},g,{rows:O}))});Or.defaultProps=kr;var Sr=["counterStart","validators","validateOnChange","validateOnDOMChange","requiredIndicator","optionalIndicator","multiline","autoSize","children","description","addonBefore","addonAfter","feedback","errors","counter","baseName","className","labelClass","descriptionClass","groupClass","inputClass","addonClass","feedbackClass","errorsClass","counterClass","invalidClass","id","labelId","descriptionId","errorsId","maxLength","required","type","value","onChange","onCount","onDOMChange","onValidate"],Ir={counterStart:25,counter:function(e){var t=e.remaining;return t<0?null:t+"/"+e.max+" characters remaining"},type:"text"},Lr=e.forwardRef(function(t,n){var r,a=t.counterStart,i=void 0===a?Ir.counterStart:a,o=t.validators,s=t.validateOnChange,l=t.validateOnDOMChange,c=t.requiredIndicator,u=t.optionalIndicator,m=t.multiline,f=void 0!==m&&m,v=t.autoSize,h=void 0!==v&&v,p=t.children,b=t.description,g=t.addonBefore,E=t.addonAfter,w=t.feedback,N=t.errors,x=t.counter,_=void 0===x?Ir.counter:x,k=t.baseName,O=void 0===k?"nds-field":k,S=t.className,I=void 0===S?d(O,O+"--text"):S,L=t.labelClass,M=t.descriptionClass,D=t.groupClass,P=void 0===D?d(O+"__group"+(f?"--textarea":""),O+"__group--text"):D,T=t.inputClass,z=void 0===T?d(O+"__"+(f?"textarea":"input"),O+"__"+(f?"textarea":"input")+"--text"):T,A=t.addonClass,B=void 0===A?O+"__addon":A,H=t.feedbackClass,F=t.errorsClass,V=t.counterClass,q=void 0===V?O+"__counter":V,U=t.invalidClass,K=void 0===U?O+"--invalid":U,j=t.id,W=t.labelId,G=t.descriptionId,Y=t.errorsId,Z=t.maxLength,$=t.required,Q=t.type,J=void 0===Q?Ir.type:Q,X=t.value,ee=t.onChange,te=t.onCount,ne=t.onDOMChange,re=t.onValidate,ae=C(t,Sr),ie=e.useState(N),oe=ie[0],se=ie[1],le=R(),ce=j||le,de=W||ce+"-label",ue=G||ce+"-desc",me=Y||ce+"-err",fe=ce+"-input",ve=e.useCallback(function(e){if(Z)return Z-(e||"").toString().length},[Z]),he=e.useState(ve(X)),pe=he[0],be=he[1];e.useEffect(function(){return be(ve(X))},[ve,X]),e.useEffect(function(){return se(N)},[N]),e.useEffect(function(){te&&te(pe)},[te,pe]);var ge=e.useMemo(function(){return Boolean(!oe||0===oe.length)},[oe]),Ee=function(t){return t?e.Children.map(t,function(t){return e.isValidElement(t)&&t.type===e.Fragment?Ee(t.props.children):/*#__PURE__*/e.createElement(Be,{className:B},t)}):null},ye=e.useMemo(function(){return _&&void 0!==Z&&void 0!==pe&&void 0!==i&&pe<=i?/*#__PURE__*/e.createElement("div",{className:q},_({remaining:pe,max:Z})):null},[_,q,i,Z,pe]),Ce=e.useMemo(function(){return c&&$?"required":u&&!$?"optional":null},[c,u,$]),we=y({ref:n,value:X,errors:oe,onChange:function(e){ee?ee(e):be(ve(e.target.value))},onDOMChange:ne,onValidate:function(e){re&&re(e),se(e)},id:fe,className:z,"aria-describedby":b?ue:void 0,"aria-invalid":!ge,"aria-errormessage":ge?void 0:me,maxLength:Z,required:$,validators:o,validateOnChange:s,validateOnDOMChange:l},ae);/*#__PURE__*/return e.createElement("div",{className:d(I,(r={},r[K]=!ge,r)),id:j},/*#__PURE__*/e.createElement(Fe,{htmlFor:fe,label:p,indicator:Ce,labelId:de,labelClass:L,descriptionClass:M,descriptionId:ue,description:b}),/*#__PURE__*/e.createElement("div",{className:f?"":P},f?/*#__PURE__*/e.createElement(Or,y({},we,{className:d(P,z),multiline:f,autoSize:h})):/*#__PURE__*/e.createElement(e.Fragment,null,Ee(g),/*#__PURE__*/e.createElement(Ae,y({},we,{type:J})),Ee(E))),/*#__PURE__*/e.createElement(He,{className:H,errorsId:me,errors:oe,errorsClass:F},w,ye))}),Mr=function(t){var n=e.useState(""),r=n[1];/*#__PURE__*/return e.createElement(Lr,y({value:n[0],onChange:function(e){r(e.target.value);var n=t.onChange;n&&n(e)}},t))},Dr="nds-mc-question",Pr={stem:Dr+"__stem",intro:Dr+"__intro",instructions:Dr+"__instructions",choiceLabel:Dr+"__choice-label",feedback:Dr+"__feedback",choice:Dr+"__choice"},Tr=function(t){var n=t.label,r=t.children,a=t.onSelect,i=t.index,o=t.checked,s=t.name,c=t.disabled,d=l(function(){void 0!==i&&n&&a&&a({index:i,label:n})},[a,i,n]);/*#__PURE__*/return e.createElement(It,{onChange:d,checked:o,name:s,disabled:c&&!o},/*#__PURE__*/e.createElement("span",{className:Pr.choiceLabel},n,". "),/*#__PURE__*/e.createElement("span",null,r))},zr=function(t){/*#__PURE__*/return e.createElement("div",{className:Pr.instructions},t.children)},Rr=function(t){/*#__PURE__*/return e.createElement("div",{className:Pr.intro},t.children)},Ar=function(t){/*#__PURE__*/return e.createElement("div",{className:Pr.stem},t.children)},Br=["i","ii","iii","iv","v","vi","vii","viii","ix","x"],Hr=function(t){var n=t.stem,r=t.framing,a=t.instructions,i=t.identifierType,o=void 0===i?"lower-alpha":i,s=t.choices,l=t.status,c=t.onSelect,d=t.selected,u=t.readOnly,m=R()||"";/*#__PURE__*/return e.createElement("div",null,"string"==typeof r?/*#__PURE__*/e.createElement(Rr,null,r):r,"string"==typeof n?/*#__PURE__*/e.createElement(Ar,null,n):n,"string"==typeof a?/*#__PURE__*/e.createElement(zr,null,a):a,/*#__PURE__*/e.createElement("div",null,/*#__PURE__*/e.createElement(Lt,{label:void 0},s.map(function(t,n){var r="correct"===l&&n===d,a="incorrect"===l&&n===d,i=function(e,t){switch(e){case"lower-alpha":return String.fromCharCode(97+t);case"upper-alpha":return String.fromCharCode(65+t);case"lower-roman":return Br[t];case"upper-roman":return Br[t].toUpperCase();case"decimal":return String(t+1);default:throw new Error("Invalid label type: "+e)}}(o,n);/*#__PURE__*/return e.createElement("div",{key:i,className:Pr.choice},r?/*#__PURE__*/e.createElement(Pt,{className:Pr.feedback,withIcon:!1,variant:"correct"}):a?/*#__PURE__*/e.createElement(Pt,{className:Pr.feedback,withIcon:!1,variant:"incorrect"}):/*#__PURE__*/e.createElement("div",{className:Pr.feedback}),/*#__PURE__*/e.createElement("div",null,/*#__PURE__*/e.createElement(Tr,{label:i,checked:n===d,index:n,onSelect:c,name:m,disabled:u},t)))}))))},Fr="nds-mc-feedback",Vr={container:Fr+"__container",iconContainer:Fr+"__icon-container",icon:Fr+"__icon",iconCorrect:Fr+"__icon--correct",iconIncorrect:Fr+"__icon--incorrect",heading:Fr+"__heading"},qr=["isCorrect","choiceLabel","choiceText"],Ur=function(t){var n,r=t.isCorrect,a=t.choiceLabel,i=t.choiceText,o=C(t,qr),s=r?"Correct":"Incorrect",l=r?"check-circle":"cancel";/*#__PURE__*/return e.createElement(vt,y({title:s,actions:/*#__PURE__*/e.createElement("div",null,/*#__PURE__*/e.createElement(xe,{variant:"outline",onClick:o.onRequestClose},"Close"))},o),/*#__PURE__*/e.createElement("div",{className:Vr.container},/*#__PURE__*/e.createElement("div",{className:Vr.iconContainer},/*#__PURE__*/e.createElement(ge,{className:d(Vr.icon,(n={},n[Vr.iconCorrect]=r,n[Vr.iconIncorrect]=!r,n)),variant:l})),/*#__PURE__*/e.createElement("div",null,/*#__PURE__*/e.createElement("p",{className:Vr.heading},/*#__PURE__*/e.createElement("strong",null,"Your answer was ",s.toLowerCase(),":")),/*#__PURE__*/e.createElement("p",null,a,". ",i),o.children)))};function Kr(e){var a=r("unanswered"),i=a[0],o=a[1],s=r(void 0),l=s[0],c=s[1],d=r(!1),u=d[0],m=d[1],f=t(function(){return{status:i,onSelect:function(e){c(e.index),o("unanswered")},selected:l,choices:e}},[e,l,i]),v=t(function(){return{isOpen:u,isCorrect:"correct"===i,choiceLabel:"a",choiceText:void 0!==l?e[l]:"",onRequestClose:function(){m(!1)}}},[e,u,l,i]);return n(function(){"unanswered"!==i&&m(!0)},[i]),{questionState:f,modalState:v,setStatus:o}}var jr=function(t){var n=t.colorScheme,r=t.ignoreOSColorScheme,a=t.onColorSchemeChange,i=t.children,o=e.useContext(j),s=o?o.colorScheme:void 0,l=void 0===o,c=F("(prefers-color-scheme: dark)"),d=e.useMemo(function(){return c?"dark":"light"},[c]),u=e.useRef(d),m=e.useState(function(e,t){if("inverse"===e){if(t)return"light"===t?"dark":"light";throw new Error("colorScheme cannot be inverted on the root <ThemeProvider>.")}return e||"light"}(n||(r?void 0:d),s)),f=m[0],v=m[1],h=e.useRef(f);e.useEffect(function(){!r&&l&&d!==u.current&&(v(d),u.current=d)},[l,d,r]),M(function(){l&&(f?document.documentElement.setAttribute("data-color-scheme",f):document.documentElement.removeAttribute("data-color-scheme"))},[f,l]),e.useEffect(function(){s&&"inverse"===n&&v("dark"===s?"light":"dark")},[s,n]),e.useEffect(function(){h.current!==f&&(h.current=f,a&&a(f))},[f,a]);var p=e.useMemo(function(){return{colorScheme:f,setColorScheme:function(e){return v(e)}}},[f]);/*#__PURE__*/return e.createElement(j.Provider,{value:p},l?i:/*#__PURE__*/e.createElement("div",{"data-color-scheme":f},i))},Wr=function(t){/*#__PURE__*/return e.createElement(A.Provider,{value:t.linkComponent},/*#__PURE__*/e.createElement(jr,{colorScheme:t.colorScheme,ignoreOSColorScheme:t.ignoreOSColorScheme,onColorSchemeChange:t.onColorSchemeChange},t.children))};export{Wr as AppProvider,_ as Badge,xe as Button,Me as Callout,De as CalloutError,Pe as CalloutSuccess,Te as CalloutWarning,Ge as Checkbox,Ye as CheckboxGroup,qe as Choice,We as ChoiceField,Ke as Choices,tt as Disclosure,st as Dropdown,Be as FieldAddon,He as FieldFeedback,Fe as FieldInfo,ge as Icon,ke as IconButton,ne as IconOptions,ct as Link,A as LinkContext,ot as Listbox,Ce as LiveRegion,vt as Modal,Ur as MultipleChoiceFeedback,Hr as MultipleChoiceQuestion,rt as Option,bt as Popover,ve as Popper,St as ProgressBar,It as Radio,Lt as RadioGroup,Pt as ResponseIndicator,ht as SortDirection,zt as Spinner,Ht as Step,At as StepIndicator,Vt as Switch,Er as Tab,gr as TabList,wr as TabPanel,yr as TabPanels,Pn as Table,rn as TableBody,An as TableCell,tn as TableHeader,zn as TableHeaderCell,Qt as TableRow,fr as Tabs,xr as Tag,Lr as TextField,Mr as TextFieldUncontrolled,j as ThemeContext,jr as ThemeProvider,pe as Tooltip,O as canUseDOM,re as findIcon,te as icons,B as isLinkElement,k as toElements,we as useContentMonitor,S as useExternalClick,I as useForwardedRef,R as useId,L as useIsomorphicLayoutEffect,M as useLayoutEffect,H as useLink,F as useMediaQuery,Kr as useMultipleChoice,V as usePopper,q as usePopperTriggers,U as useRovingTabindex,K as useSelect,W as useTheme,$ as useValidation,ee as viewBox};
//# sourceMappingURL=index.module.js.map
